/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This file incorporates work covered by the following license notice:
 *
 *   Licensed to the Apache Software Foundation (ASF) under one or more
 *   contributor license agreements. See the NOTICE file distributed
 *   with this work for additional information regarding copyright
 *   ownership. The ASF licenses this file to you under the Apache
 *   License, Version 2.0 (the "License"); you may not use this file
 *   except in compliance with the License. You may obtain a copy of
 *   the License at http://www.apache.org/licenses/LICENSE-2.0 .
 */

#include <sal/types.h>
#include <toolkit/helper/servicenames.hxx>

const sal_Char szServiceName_Toolkit[] = "stardiv.vcl.VclToolkit";
const sal_Char szServiceName2_Toolkit[] = "com.sun.star.awt.Toolkit";
const sal_Char szServiceName_PopupMenu[] = "stardiv.vcl.PopupMenu";
const sal_Char szServiceName2_PopupMenu[] = "com.sun.star.awt.PopupMenu";
const sal_Char szServiceName_MenuBar[] = "stardiv.vcl.MenuBar";
const sal_Char szServiceName2_MenuBar[] = "com.sun.star.awt.MenuBar";
const sal_Char szServiceName_Pointer[] = "stardiv.vcl.Pointer";
const sal_Char szServiceName2_Pointer[] = "com.sun.star.awt.Pointer";
const sal_Char szServiceName_UnoControlContainer[] = "stardiv.vcl.control.ControlContainer";
const sal_Char szServiceName_UnoControlContainerModel[] = "stardiv.vcl.controlmodel.ControlContainer";
const sal_Char szServiceName_TabController[] = "stardiv.vcl.control.TabController";
const sal_Char szServiceName2_TabController[] = "com.sun.star.awt.TabController";
const sal_Char szServiceName_TabControllerModel[] = "stardiv.vcl.controlmodel.TabController";
const sal_Char szServiceName2_TabControllerModel[] = "com.sun.star.awt.TabControllerModel";
const sal_Char szServiceName_UnoControlDialog[] = "stardiv.vcl.control.Dialog";
const sal_Char szServiceName2_UnoControlDialog[] = "com.sun.star.awt.UnoControlDialog";
const sal_Char szServiceName_UnoControlDialogModel[] = "stardiv.vcl.controlmodel.Dialog";
const sal_Char szServiceName2_UnoControlDialogModel[] = "com.sun.star.awt.UnoControlDialogModel";
const sal_Char szServiceName_UnoControlEdit[] = "stardiv.vcl.control.Edit";
const sal_Char szServiceName2_UnoControlEdit[] = "com.sun.star.awt.UnoControlEdit";
const sal_Char szServiceName_UnoControlEditModel[] = "stardiv.vcl.controlmodel.Edit";
const sal_Char szServiceName_UnoControlFileControl[] = "stardiv.vcl.control.FileControl";
const sal_Char szServiceName_UnoControlFileControlModel[] = "stardiv.vcl.controlmodel.FileControl";
const sal_Char szServiceName_UnoControlButton[] = "stardiv.vcl.control.Button";
const sal_Char szServiceName_UnoControlButtonModel[] = "stardiv.vcl.controlmodel.Button";
const sal_Char szServiceName_UnoControlImageButton[] = "stardiv.vcl.control.ImageButton";
const sal_Char szServiceName2_UnoControlImageButton[] = "com.sun.star.awt.UnoControlImageButton";
const sal_Char szServiceName_UnoControlImageButtonModel[] = "stardiv.vcl.controlmodel.ImageButton";
const sal_Char szServiceName2_UnoControlImageButtonModel[] = "com.sun.star.awt.UnoControlImageButtonModel";
const sal_Char szServiceName_UnoControlImageControl[] = "stardiv.vcl.control.ImageControl";
const sal_Char szServiceName_UnoControlImageControlModel[] = "stardiv.vcl.controlmodel.ImageControl";
const sal_Char szServiceName_UnoControlRadioButton[] = "stardiv.vcl.control.RadioButton";
const sal_Char szServiceName_UnoControlRadioButtonModel[] = "stardiv.vcl.controlmodel.RadioButton";
const sal_Char szServiceName_UnoControlCheckBox[] = "stardiv.vcl.control.CheckBox";
const sal_Char szServiceName_UnoControlCheckBoxModel[] = "stardiv.vcl.controlmodel.CheckBox";
const sal_Char szServiceName_UnoControlListBox[] = "stardiv.vcl.control.ListBox";
const sal_Char szServiceName_UnoControlListBoxModel[] = "stardiv.vcl.controlmodel.ListBox";
const sal_Char szServiceName_UnoControlComboBox[] = "stardiv.vcl.control.ComboBox";
const sal_Char szServiceName_UnoControlComboBoxModel[] = "stardiv.vcl.controlmodel.ComboBox";
const sal_Char szServiceName_UnoControlFixedText[] = "stardiv.vcl.control.FixedText";
const sal_Char szServiceName_UnoControlGroupBox[] = "stardiv.vcl.control.GroupBox";
const sal_Char szServiceName_UnoControlGroupBoxModel[] = "stardiv.vcl.controlmodel.GroupBox";
const sal_Char szServiceName_UnoControlDateField[] = "stardiv.vcl.control.DateField";
const sal_Char szServiceName_UnoControlDateFieldModel[] = "stardiv.vcl.controlmodel.DateField";
const sal_Char szServiceName_UnoControlTimeField[] = "stardiv.vcl.control.TimeField";
const sal_Char szServiceName_UnoControlTimeFieldModel[] = "stardiv.vcl.controlmodel.TimeField";
const sal_Char szServiceName_UnoControlNumericField[] = "stardiv.vcl.control.NumericField";
const sal_Char szServiceName_UnoControlNumericFieldModel[] = "stardiv.vcl.controlmodel.NumericField";
const sal_Char szServiceName_UnoControlCurrencyField[] = "stardiv.vcl.control.CurrencyField";
const sal_Char szServiceName_UnoControlCurrencyFieldModel[] = "stardiv.vcl.controlmodel.CurrencyField";
const sal_Char szServiceName_UnoControlPatternField[] = "stardiv.vcl.control.PatternField";
const sal_Char szServiceName_UnoControlPatternFieldModel[] = "stardiv.vcl.controlmodel.PatternField";
const sal_Char szServiceName_UnoControlFormattedField[] = "stardiv.vcl.control.FormattedField";
const sal_Char szServiceName_UnoControlFormattedFieldModel[] = "stardiv.vcl.controlmodel.FormattedField";
const sal_Char szServiceName_MVCIntrospection[] = "stardiv.vcl.MVCIntrospection";
const sal_Char szServiceName2_MVCIntrospection[] = "com.sun.star.awt.MVCIntrospection";
const sal_Char szServiceName_PrinterServer[] = "stardiv.vcl.PrinterServer";
const sal_Char szServiceName2_PrinterServer[] = "com.sun.star.awt.PrinterServer";
const sal_Char szServiceName_UnoControlProgressBar[] = "stardiv.vcl.control.ProgressBar";
const sal_Char szServiceName_UnoControlProgressBarModel[] = "stardiv.vcl.controlmodel.ProgressBar";
const sal_Char szServiceName_UnoControlScrollBar[] = "stardiv.vcl.control.ScrollBar";
const sal_Char szServiceName_UnoControlScrollBarModel[] = "stardiv.vcl.controlmodel.ScrollBar";
const sal_Char szServiceName_UnoControlFixedLine[] = "stardiv.vcl.control.FixedLine";
const sal_Char szServiceName_UnoControlFixedLineModel[] = "stardiv.vcl.controlmodel.FixedLine";
const sal_Char szServiceName_UnoControlRoadmap[] = "stardiv.vcl.control.Roadmap";
const sal_Char szServiceName_UnoControlRoadmapModel[] = "stardiv.vcl.controlmodel.Roadmap";
const sal_Char szServiceName_UnoSpinButtonControl[] = "com.sun.star.awt.UnoControlSpinButton";
const sal_Char szServiceName_UnoSpinButtonModel[] = "com.sun.star.awt.UnoControlSpinButtonModel";
const sal_Char szServiceName_GridControl[] = "com.sun.star.awt.grid.UnoControlGrid";
const sal_Char szServiceName_DefaultGridDataModel[] = "com.sun.star.awt.grid.DefaultGridDataModel";
const sal_Char szServiceName_DefaultGridColumnModel[] = "com.sun.star.awt.grid.DefaultGridColumnModel";
const sal_Char szServiceName_GridColumn[] = "com.sun.star.awt.grid.GridColumn";
const sal_Char szServiceName_SortableGridDataModel[] = "com.sun.star.awt.grid.SortableGridDataModel";

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
