/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*
 * This file is part of the LibreOffice project.
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#ifndef XMLOFF_TOKEN_TOKENS_HXX
#define XMLOFF_TOKEN_TOKENS_HXX

#include <com/sun/star/xml/sax/FastToken.hpp>

namespace xmloff {
const sal_Int32 XML_TOKEN_START_DUMMY = 0;
const sal_Int32 XML_CDATA = 1;
const sal_Int32 XML_WS_DUMMY = 2;
const sal_Int32 XML_xml = 3;
const sal_Int32 XML_xmlns = 4;
const sal_Int32 XML_XML_PI_DUMMY = 5;
const sal_Int32 XML_XML_DOCTYPE_PREFIX_DUMMY = 6;
const sal_Int32 XML_XML_DOCTYPE_SUFFIX_DUMMY = 7;
const sal_Int32 XML_N_XML_DUMMY = 8;
const sal_Int32 XML_office = 9;
const sal_Int32 XML_N_OFFICE_DUMMY = 10;
const sal_Int32 XML_N_OFFICE_OLD_DUMMY = 11;
const sal_Int32 XML_NP_META_DUMMY = 12;
const sal_Int32 XML_N_META_DUMMY = 13;
const sal_Int32 XML_N_META_OLD_DUMMY = 14;
const sal_Int32 XML_NP_STYLE_DUMMY = 15;
const sal_Int32 XML_N_STYLE_DUMMY = 16;
const sal_Int32 XML_N_STYLE_OLD_DUMMY = 17;
const sal_Int32 XML_NP_NUMBER_DUMMY = 18;
const sal_Int32 XML_N_NUMBER_DUMMY = 19;
const sal_Int32 XML_N_NUMBER_OLD_DUMMY = 20;
const sal_Int32 XML_NP_TEXT_DUMMY = 21;
const sal_Int32 XML_N_TEXT_DUMMY = 22;
const sal_Int32 XML_N_TEXT_OLD_DUMMY = 23;
const sal_Int32 XML_NP_TABLE_DUMMY = 24;
const sal_Int32 XML_N_TABLE_DUMMY = 25;
const sal_Int32 XML_N_TABLE_OLD_DUMMY = 26;
const sal_Int32 XML_NP_DRAW_DUMMY = 27;
const sal_Int32 XML_N_DRAW_DUMMY = 28;
const sal_Int32 XML_dr3d = 29;
const sal_Int32 XML_N_DR3D_DUMMY = 30;
const sal_Int32 XML_N_DRAW_OLD_DUMMY = 31;
const sal_Int32 XML_NP_PRESENTATION_DUMMY = 32;
const sal_Int32 XML_N_PRESENTATION_DUMMY = 33;
const sal_Int32 XML_N_PRESENTATION_OLD_DUMMY = 34;
const sal_Int32 XML_NP_CHART_DUMMY = 35;
const sal_Int32 XML_N_CHART_DUMMY = 36;
const sal_Int32 XML_config = 37;
const sal_Int32 XML_N_CONFIG_DUMMY = 38;
const sal_Int32 XML_N_CHART_OLD_DUMMY = 39;
const sal_Int32 XML_fo = 40;
const sal_Int32 XML_N_FO_OLD_DUMMY = 41;
const sal_Int32 XML_N_FO_DUMMY = 42;
const sal_Int32 XML_xlink = 43;
const sal_Int32 XML_N_XLINK_DUMMY = 44;
const sal_Int32 XML_N_XLINK_OLD_DUMMY = 45;
const sal_Int32 XML_dc = 46;
const sal_Int32 XML_N_DC_DUMMY = 47;
const sal_Int32 XML_svg = 48;
const sal_Int32 XML_N_SVG_DUMMY = 49;
const sal_Int32 XML_NP_FORM_DUMMY = 50;
const sal_Int32 XML_N_FORM_DUMMY = 51;
const sal_Int32 XML_NP_SCRIPT_DUMMY = 52;
const sal_Int32 XML_N_SCRIPT_DUMMY = 53;
const sal_Int32 XML_xforms = 54;
const sal_Int32 XML_N_XFORMS_1_0_DUMMY = 55;
const sal_Int32 XML_xsd = 56;
const sal_Int32 XML_N_XSD_DUMMY = 57;
const sal_Int32 XML_xsi = 58;
const sal_Int32 XML_N_XSI_DUMMY = 59;
const sal_Int32 XML_NP_BLOCK_LIST_DUMMY = 60;
const sal_Int32 XML_N_BLOCK_LIST_DUMMY = 61;
const sal_Int32 XML_NP_MATH_DUMMY = 62;
const sal_Int32 XML_N_MATH_DUMMY = 63;
const sal_Int32 XML_VL = 64;
const sal_Int32 XML_N_VERSIONS_LIST_DUMMY = 65;
const sal_Int32 XML_of = 66;
const sal_Int32 XML_N_OF_DUMMY = 67;
const sal_Int32 XML_xhtml = 68;
const sal_Int32 XML_N_XHTML_DUMMY = 69;
const sal_Int32 XML_grddl = 70;
const sal_Int32 XML_N_GRDDL_DUMMY = 71;
const sal_Int32 XML_officeooo = 72;
const sal_Int32 XML_N_OFFICE_EXT_DUMMY = 73;
const sal_Int32 XML_formx = 74;
const sal_Int32 XML_N_FORMX_DUMMY = 75;
const sal_Int32 XML_tableooo = 76;
const sal_Int32 XML_N_TABLE_EXT_DUMMY = 77;
const sal_Int32 XML_drawooo = 78;
const sal_Int32 XML_N_DRAW_EXT_DUMMY = 79;
const sal_Int32 XML_css3t = 80;
const sal_Int32 XML_N_CSS3TEXT_DUMMY = 81;
const sal_Int32 XML_calcext = 82;
const sal_Int32 XML_N_CALC_EXT_DUMMY = 83;
const sal_Int32 XML_loext = 84;
const sal_Int32 XML_N_LO_EXT_DUMMY = 85;
const sal_Int32 XML_UNIT_MM_DUMMY = 86;
const sal_Int32 XML_m = 87;
const sal_Int32 XML_UNIT_KM_DUMMY = 88;
const sal_Int32 XML_UNIT_CM_DUMMY = 89;
const sal_Int32 XML_pt = 90;
const sal_Int32 XML_pc = 91;
const sal_Int32 XML_ft = 92;
const sal_Int32 XML_UNIT_MILES_DUMMY = 93;
const sal_Int32 XML_UNIT_INCH_DUMMY = 94;
const sal_Int32 XML_1 = 95;
const sal_Int32 XML_10 = 96;
const sal_Int32 XML_2 = 97;
const sal_Int32 XML_3 = 98;
const sal_Int32 XML_4 = 99;
const sal_Int32 XML_5 = 100;
const sal_Int32 XML_6 = 101;
const sal_Int32 XML_7 = 102;
const sal_Int32 XML_8 = 103;
const sal_Int32 XML_9 = 104;
const sal_Int32 XML_A = 105;
const sal_Int32 XML_I = 106;
const sal_Int32 XML_IBM437 = 107;
const sal_Int32 XML_IBM850 = 108;
const sal_Int32 XML_IBM860 = 109;
const sal_Int32 XML_IBM861 = 110;
const sal_Int32 XML_IBM863 = 111;
const sal_Int32 XML_IBM865 = 112;
const sal_Int32 XML_ISO_8859_1 = 113;
const sal_Int32 XML_ole2 = 114;
const sal_Int32 XML__COLON_DUMMY = 115;
const sal_Int32 XML__EMPTY_DUMMY = 116;
const sal_Int32 XML__unknown_ = 117;
const sal_Int32 XML_a = 118;
const sal_Int32 XML_abbreviated_name = 119;
const sal_Int32 XML_above = 120;
const sal_Int32 XML_abs = 121;
const sal_Int32 XML_accent = 122;
const sal_Int32 XML_accentunder = 123;
const sal_Int32 XML_acceptance_state = 124;
const sal_Int32 XML_accepted = 125;
const sal_Int32 XML_action = 126;
const sal_Int32 XML_active = 127;
const sal_Int32 XML_active_split_range = 128;
const sal_Int32 XML_active_table = 129;
const sal_Int32 XML_actuate = 130;
const sal_Int32 XML_add_in = 131;
const sal_Int32 XML_add_in_name = 132;
const sal_Int32 XML_address = 133;
const sal_Int32 XML_adjustment = 134;
const sal_Int32 XML_algorithm = 135;
const sal_Int32 XML_align = 136;
const sal_Int32 XML_all = 137;
const sal_Int32 XML_allow_empty_cell = 138;
const sal_Int32 XML_alphabetical_index = 139;
const sal_Int32 XML_alphabetical_index_auto_mark_file = 140;
const sal_Int32 XML_alphabetical_index_entry_template = 141;
const sal_Int32 XML_alphabetical_index_mark = 142;
const sal_Int32 XML_alphabetical_index_mark_end = 143;
const sal_Int32 XML_alphabetical_index_mark_start = 144;
const sal_Int32 XML_alphabetical_index_source = 145;
const sal_Int32 XML_alphabetical_separators = 146;
const sal_Int32 XML_alternate = 147;
const sal_Int32 XML_am_pm = 148;
const sal_Int32 XML_ambient_color = 149;
const sal_Int32 XML_anchor_page_number = 150;
const sal_Int32 XML_anchor_type = 151;
const sal_Int32 XML_and = 152;
const sal_Int32 XML_animation = 153;
const sal_Int32 XML_animation_delay = 154;
const sal_Int32 XML_animation_direction = 155;
const sal_Int32 XML_animation_repeat = 156;
const sal_Int32 XML_animation_start_inside = 157;
const sal_Int32 XML_animation_steps = 158;
const sal_Int32 XML_animation_stop_inside = 159;
const sal_Int32 XML_animations = 160;
const sal_Int32 XML_annotation = 161;
const sal_Int32 XML_annotation_end = 162;
const sal_Int32 XML_annotations = 163;
const sal_Int32 XML_annote = 164;
const sal_Int32 XML_appear = 165;
const sal_Int32 XML_applet = 166;
const sal_Int32 XML_applet_name = 167;
const sal_Int32 XML_application_data = 168;
const sal_Int32 XML_application_xml = 169;
const sal_Int32 XML_apply = 170;
const sal_Int32 XML_apply_design_mode = 171;
const sal_Int32 XML_apply_style_name = 172;
const sal_Int32 XML_aqua = 173;
const sal_Int32 XML_arc = 174;
const sal_Int32 XML_arccos = 175;
const sal_Int32 XML_archive = 176;
const sal_Int32 XML_arcsin = 177;
const sal_Int32 XML_arctan = 178;
const sal_Int32 XML_area = 179;
const sal_Int32 XML_area_circle = 180;
const sal_Int32 XML_area_polygon = 181;
const sal_Int32 XML_area_rectangle = 182;
const sal_Int32 XML_article = 183;
const sal_Int32 XML_as_char = 184;
const sal_Int32 XML_ascending = 185;
const sal_Int32 XML_attached_axis = 186;
const sal_Int32 XML_attractive = 187;
const sal_Int32 XML_author = 188;
const sal_Int32 XML_author_initials = 189;
const sal_Int32 XML_author_name = 190;
const sal_Int32 XML_auto = 191;
const sal_Int32 XML_auto_complete = 192;
const sal_Int32 XML_auto_grow_height = 193;
const sal_Int32 XML_auto_grow_width = 194;
const sal_Int32 XML_auto_reload = 195;
const sal_Int32 XML_auto_text = 196;
const sal_Int32 XML_auto_text_events = 197;
const sal_Int32 XML_auto_text_group = 198;
const sal_Int32 XML_auto_text_indent = 199;
const sal_Int32 XML_auto_update = 200;
const sal_Int32 XML_automatic = 201;
const sal_Int32 XML_automatic_find_labels = 202;
const sal_Int32 XML_automatic_focus = 203;
const sal_Int32 XML_automatic_order = 204;
const sal_Int32 XML_automatic_styles = 205;
const sal_Int32 XML_automatic_update = 206;
const sal_Int32 XML_autosize = 207;
const sal_Int32 XML_average = 208;
const sal_Int32 XML_axis = 209;
const sal_Int32 XML_axis_color = 210;
const sal_Int32 XML_back_scale = 211;
const sal_Int32 XML_backface_culling = 212;
const sal_Int32 XML_background = 213;
const sal_Int32 XML_background_color = 214;
const sal_Int32 XML_background_image = 215;
const sal_Int32 XML_no_repeat = 216;
const sal_Int32 XML_BACKGROUND_REPEAT_DUMMY = 217;
const sal_Int32 XML_BACKGROUND_STRETCH_DUMMY = 218;
const sal_Int32 XML_bar = 219;
const sal_Int32 XML_base64Binary = 220;
const sal_Int32 XML_base_cell_address = 221;
const sal_Int32 XML_baseline = 222;
const sal_Int32 XML_before_date_time = 223;
const sal_Int32 XML_below = 224;
const sal_Int32 XML_between_date_times = 225;
const sal_Int32 XML_bevel = 226;
const sal_Int32 XML_bevelled = 227;
const sal_Int32 XML_bibiliographic_type = 228;
const sal_Int32 XML_bibliography = 229;
const sal_Int32 XML_bibliography_configuration = 230;
const sal_Int32 XML_bibliography_data_field = 231;
const sal_Int32 XML_bibliography_entry_template = 232;
const sal_Int32 XML_bibliography_mark = 233;
const sal_Int32 XML_bibliography_source = 234;
const sal_Int32 XML_bibliography_type = 235;
const sal_Int32 XML_bind_styles_to_content = 236;
const sal_Int32 XML_bitmap = 237;
const sal_Int32 XML_black = 238;
const sal_Int32 XML_blend = 239;
const sal_Int32 XML_blinking = 240;
const sal_Int32 XML_block = 241;
const sal_Int32 XML_block_list = 242;
const sal_Int32 XML_blue = 243;
const sal_Int32 XML_body = 244;
const sal_Int32 XML_bold = 245;
const sal_Int32 XML_book = 246;
const sal_Int32 XML_booklet = 247;
const sal_Int32 XML_bookmark = 248;
const sal_Int32 XML_bookmark_end = 249;
const sal_Int32 XML_bookmark_ref = 250;
const sal_Int32 XML_bookmark_start = 251;
const sal_Int32 XML_booktitle = 252;
const sal_Int32 XML_boolean = 253;
const sal_Int32 XML_boolean_style = 254;
const sal_Int32 XML_boolean_value = 255;
const sal_Int32 XML_border = 256;
const sal_Int32 XML_border_bottom = 257;
const sal_Int32 XML_border_color = 258;
const sal_Int32 XML_border_left = 259;
const sal_Int32 XML_border_line_width = 260;
const sal_Int32 XML_border_line_width_bottom = 261;
const sal_Int32 XML_border_line_width_left = 262;
const sal_Int32 XML_border_line_width_right = 263;
const sal_Int32 XML_border_line_width_top = 264;
const sal_Int32 XML_border_right = 265;
const sal_Int32 XML_border_top = 266;
const sal_Int32 XML_both = 267;
const sal_Int32 XML_bottom = 268;
const sal_Int32 XML_bottom_left = 269;
const sal_Int32 XML_BOTTOM_PERCENT_DUMMY = 270;
const sal_Int32 XML_bottom_right = 271;
const sal_Int32 XML_BOTTOM_VALUES_DUMMY = 272;
const sal_Int32 XML_bottom_arc = 273;
const sal_Int32 XML_bottom_circle = 274;
const sal_Int32 XML_bound_column = 275;
const sal_Int32 XML_break_after = 276;
const sal_Int32 XML_break_before = 277;
const sal_Int32 XML_break_inside = 278;
const sal_Int32 XML_bubble = 279;
const sal_Int32 XML_bullet_char = 280;
const sal_Int32 XML_bullet_relative_size = 281;
const sal_Int32 XML_butt = 282;
const sal_Int32 XML_button1 = 283;
const sal_Int32 XML_button2 = 284;
const sal_Int32 XML_button3 = 285;
const sal_Int32 XML_button4 = 286;
const sal_Int32 XML_buttons = 287;
const sal_Int32 XML_bvar = 288;
const sal_Int32 XML_c = 289;
const sal_Int32 XML_calculation_settings = 290;
const sal_Int32 XML_calendar = 291;
const sal_Int32 XML_capitalize_entries = 292;
const sal_Int32 XML_caption = 293;
const sal_Int32 XML_caption_point_x = 294;
const sal_Int32 XML_caption_point_y = 295;
const sal_Int32 XML_caption_sequence_format = 296;
const sal_Int32 XML_caption_sequence_name = 297;
const sal_Int32 XML_case_sensitive = 298;
const sal_Int32 XML_capitalize = 299;
const sal_Int32 XML_lowercase = 300;
const sal_Int32 XML_CASEMAP_NORMAL_DUMMY = 301;
const sal_Int32 XML_small_caps = 302;
const sal_Int32 XML_uppercase = 303;
const sal_Int32 XML_categories = 304;
const sal_Int32 XML_category = 305;
const sal_Int32 XML_category_and_value = 306;
const sal_Int32 XML_cell_address = 307;
const sal_Int32 XML_cell_content_change = 308;
const sal_Int32 XML_cell_content_deletion = 309;
const sal_Int32 XML_cell_count = 310;
const sal_Int32 XML_cell_protect = 311;
const sal_Int32 XML_cell_range_address = 312;
const sal_Int32 XML_cell_range_address_list = 313;
const sal_Int32 XML_cell_range_source = 314;
const sal_Int32 XML_center = 315;
const sal_Int32 XML_chain_next_name = 316;
const sal_Int32 XML_change = 317;
const sal_Int32 XML_change_deletion = 318;
const sal_Int32 XML_change_end = 319;
const sal_Int32 XML_change_id = 320;
const sal_Int32 XML_change_info = 321;
const sal_Int32 XML_change_start = 322;
const sal_Int32 XML_change_track_table_cell = 323;
const sal_Int32 XML_change_view_conditions = 324;
const sal_Int32 XML_change_view_settings = 325;
const sal_Int32 XML_changed_region = 326;
const sal_Int32 XML_chapter = 327;
const sal_Int32 XML_char = 328;
const sal_Int32 XML_char_shading_value = 329;
const sal_Int32 XML_character_count = 330;
const sal_Int32 XML_chart = 331;
const sal_Int32 XML_charts = 332;
const sal_Int32 XML_checkerboard = 333;
const sal_Int32 XML_chg_author = 334;
const sal_Int32 XML_chg_comment = 335;
const sal_Int32 XML_chg_date_time = 336;
const sal_Int32 XML_ci = 337;
const sal_Int32 XML_circle = 338;
const sal_Int32 XML_citation_body_style_name = 339;
const sal_Int32 XML_citation_style_name = 340;
const sal_Int32 XML_class = 341;
const sal_Int32 XML_class_id = 342;
const sal_Int32 XML_clip = 343;
const sal_Int32 XML_clockwise = 344;
const sal_Int32 XML_close = 345;
const sal_Int32 XML_close_horizontal = 346;
const sal_Int32 XML_close_vertical = 347;
const sal_Int32 XML_cm = 348;
const sal_Int32 XML_cn = 349;
const sal_Int32 XML_code = 350;
const sal_Int32 XML_codebase = 351;
const sal_Int32 XML_collapse = 352;
const sal_Int32 XML_color = 353;
const sal_Int32 XML_color_inversion = 354;
const sal_Int32 XML_color_mode = 355;
const sal_Int32 XML_color_scale = 356;
const sal_Int32 XML_color_scale_entry = 357;
const sal_Int32 XML_column = 358;
const sal_Int32 XML_column_count = 359;
const sal_Int32 XML_column_gap = 360;
const sal_Int32 XML_column_name = 361;
const sal_Int32 XML_column_sep = 362;
const sal_Int32 XML_column_width = 363;
const sal_Int32 XML_columnalign = 364;
const sal_Int32 XML_columns = 365;
const sal_Int32 XML_COLUMNSPLIT_AUTO_DUMMY = 366;
const sal_Int32 XML_avoid = 367;
const sal_Int32 XML_combine_entries = 368;
const sal_Int32 XML_combine_entries_with_dash = 369;
const sal_Int32 XML_combine_entries_with_pp = 370;
const sal_Int32 XML_comma_separated = 371;
const sal_Int32 XML_command = 372;
const sal_Int32 XML_comment = 373;
const sal_Int32 XML_compose = 374;
const sal_Int32 XML_cond_style_name = 375;
const sal_Int32 XML_condition = 376;
const sal_Int32 XML_condition_source = 377;
const sal_Int32 XML_condition_source_range_address = 378;
const sal_Int32 XML_conditional_text = 379;
const sal_Int32 XML_conditional_format = 380;
const sal_Int32 XML_conditional_formats = 381;
const sal_Int32 XML_cone = 382;
const sal_Int32 XML_conference = 383;
const sal_Int32 XML_config_item = 384;
const sal_Int32 XML_config_item_map_entry = 385;
const sal_Int32 XML_config_item_map_indexed = 386;
const sal_Int32 XML_config_item_map_named = 387;
const sal_Int32 XML_config_item_set = 388;
const sal_Int32 XML_configuration_settings = 389;
const sal_Int32 XML_conjugate = 390;
const sal_Int32 XML_connect_bars = 391;
const sal_Int32 XML_connection_name = 392;
const sal_Int32 XML_connector = 393;
const sal_Int32 XML_consecutive_numbering = 394;
const sal_Int32 XML_consolidation = 395;
const sal_Int32 XML_constant = 396;
const sal_Int32 XML_contains_error = 397;
const sal_Int32 XML_contains_header = 398;
const sal_Int32 XML_content = 399;
const sal_Int32 XML_content_validation = 400;
const sal_Int32 XML_content_validation_name = 401;
const sal_Int32 XML_content_validations = 402;
const sal_Int32 XML_contextual_spacing = 403;
const sal_Int32 XML_continue = 404;
const sal_Int32 XML_continue_numbering = 405;
const sal_Int32 XML_contour_path = 406;
const sal_Int32 XML_contour_polygon = 407;
const sal_Int32 XML_contrast = 408;
const sal_Int32 XML_control = 409;
const sal_Int32 XML_conversion_mode = 410;
const sal_Int32 XML_copy_back = 411;
const sal_Int32 XML_copy_formulas = 412;
const sal_Int32 XML_copy_outline_levels = 413;
const sal_Int32 XML_copy_results_only = 414;
const sal_Int32 XML_copy_styles = 415;
const sal_Int32 XML_corner_radius = 416;
const sal_Int32 XML_correct = 417;
const sal_Int32 XML_cos = 418;
const sal_Int32 XML_cosh = 419;
const sal_Int32 XML_cot = 420;
const sal_Int32 XML_coth = 421;
const sal_Int32 XML_count = 422;
const sal_Int32 XML_count_empty_lines = 423;
const sal_Int32 XML_count_in_floating_frames = 424;
const sal_Int32 XML_counter_clockwise = 425;
const sal_Int32 XML_counterclockwise = 426;
const sal_Int32 XML_countnums = 427;
const sal_Int32 XML_country = 428;
const sal_Int32 XML_country_asian = 429;
const sal_Int32 XML_country_complex = 430;
const sal_Int32 XML_covered_table_cell = 431;
const sal_Int32 XML_create_date = 432;
const sal_Int32 XML_create_date_string = 433;
const sal_Int32 XML_creation_date = 434;
const sal_Int32 XML_creation_time = 435;
const sal_Int32 XML_creator = 436;
const sal_Int32 XML_csc = 437;
const sal_Int32 XML_csch = 438;
const sal_Int32 XML_cube = 439;
const sal_Int32 XML_cuboid = 440;
const sal_Int32 XML_currency = 441;
const sal_Int32 XML_currency_style = 442;
const sal_Int32 XML_currency_symbol = 443;
const sal_Int32 XML_current = 444;
const sal_Int32 XML_current_value = 445;
const sal_Int32 XML_cursor_position = 446;
const sal_Int32 XML_cursor_position_x = 447;
const sal_Int32 XML_cursor_position_y = 448;
const sal_Int32 XML_curve = 449;
const sal_Int32 XML_custom1 = 450;
const sal_Int32 XML_custom2 = 451;
const sal_Int32 XML_custom3 = 452;
const sal_Int32 XML_custom4 = 453;
const sal_Int32 XML_custom5 = 454;
const sal_Int32 XML_custom_iconset = 455;
const sal_Int32 XML_custom_iconset_index = 456;
const sal_Int32 XML_custom_iconset_name = 457;
const sal_Int32 XML_cut = 458;
const sal_Int32 XML_cut_offs = 459;
const sal_Int32 XML_cx = 460;
const sal_Int32 XML_cy = 461;
const sal_Int32 XML_cylinder = 462;
const sal_Int32 XML_d = 463;
const sal_Int32 XML_dash = 464;
const sal_Int32 XML_dash_dot = 465;
const sal_Int32 XML_dash_dot_dot = 466;
const sal_Int32 XML_dashed = 467;
const sal_Int32 XML_data = 468;
const sal_Int32 XML_data_bar = 469;
const sal_Int32 XML_data_bar_entry = 470;
const sal_Int32 XML_data_cell_range_address = 471;
const sal_Int32 XML_data_label_number = 472;
const sal_Int32 XML_data_label_symbol = 473;
const sal_Int32 XML_data_label_text = 474;
const sal_Int32 XML_data_pilot_source = 475;
const sal_Int32 XML_data_pilot_field = 476;
const sal_Int32 XML_data_pilot_grand_total = 477;
const sal_Int32 XML_data_pilot_level = 478;
const sal_Int32 XML_data_pilot_member = 479;
const sal_Int32 XML_data_pilot_members = 480;
const sal_Int32 XML_data_pilot_subtotal = 481;
const sal_Int32 XML_data_pilot_subtotals = 482;
const sal_Int32 XML_data_pilot_table = 483;
const sal_Int32 XML_data_pilot_tables = 484;
const sal_Int32 XML_data_point = 485;
const sal_Int32 XML_data_stream_source = 486;
const sal_Int32 XML_data_style = 487;
const sal_Int32 XML_data_style_name = 488;
const sal_Int32 XML_data_type = 489;
const sal_Int32 XML_database_display = 490;
const sal_Int32 XML_database_name = 491;
const sal_Int32 XML_database_next = 492;
const sal_Int32 XML_database_range = 493;
const sal_Int32 XML_database_ranges = 494;
const sal_Int32 XML_database_row_number = 495;
const sal_Int32 XML_database_select = 496;
const sal_Int32 XML_database_source_query = 497;
const sal_Int32 XML_database_source_sql = 498;
const sal_Int32 XML_database_source_table = 499;
const sal_Int32 XML_database_table_name = 500;
const sal_Int32 XML_date = 501;
const sal_Int32 XML_date_is = 502;
const sal_Int32 XML_date_adjust = 503;
const sal_Int32 XML_date_style = 504;
const sal_Int32 XML_date_time = 505;
const sal_Int32 XML_date_time_update = 506;
const sal_Int32 XML_date_time_visible = 507;
const sal_Int32 XML_date_value = 508;
const sal_Int32 XML_datetime = 509;
const sal_Int32 XML_day = 510;
const sal_Int32 XML_day_of_week = 511;
const sal_Int32 XML_dde_application = 512;
const sal_Int32 XML_dde_connection = 513;
const sal_Int32 XML_dde_connection_decl = 514;
const sal_Int32 XML_dde_connection_decls = 515;
const sal_Int32 XML_dde_item = 516;
const sal_Int32 XML_dde_link = 517;
const sal_Int32 XML_dde_links = 518;
const sal_Int32 XML_dde_source = 519;
const sal_Int32 XML_dde_topic = 520;
const sal_Int32 XML_decimal_places = 521;
const sal_Int32 XML_decimal_replacement = 522;
const sal_Int32 XML_declare = 523;
const sal_Int32 XML_decorate_words_only = 524;
const sal_Int32 XML_decorative = 525;
const sal_Int32 XML_deep = 526;
const sal_Int32 XML_default = 527;
const sal_Int32 XML_default_cell_style_name = 528;
const sal_Int32 XML_default_style = 529;
const sal_Int32 XML_default_style_name = 530;
const sal_Int32 XML_degree = 531;
const sal_Int32 XML_delay = 532;
const sal_Int32 XML_delay_for_repeat = 533;
const sal_Int32 XML_delete_columns = 534;
const sal_Int32 XML_delete_rows = 535;
const sal_Int32 XML_deletion = 536;
const sal_Int32 XML_deletions = 537;
const sal_Int32 XML_denomalign = 538;
const sal_Int32 XML_denominator_value = 539;
const sal_Int32 XML_dependence = 540;
const sal_Int32 XML_dependences = 541;
const sal_Int32 XML_dependencies = 542;
const sal_Int32 XML_depth = 543;
const sal_Int32 XML_desc = 544;
const sal_Int32 XML_descending = 545;
const sal_Int32 XML_description = 546;
const sal_Int32 XML_detective = 547;
const sal_Int32 XML_determinant = 548;
const sal_Int32 XML_diff = 549;
const sal_Int32 XML_diffuse_color = 550;
const sal_Int32 XML_dim = 551;
const sal_Int32 XML_direction = 552;
const sal_Int32 XML_disabled = 553;
const sal_Int32 XML_disc = 554;
const sal_Int32 XML_display = 555;
const sal_Int32 XML_display_border = 556;
const sal_Int32 XML_display_details = 557;
const sal_Int32 XML_display_duplicates = 558;
const sal_Int32 XML_display_empty = 559;
const sal_Int32 XML_display_filter_buttons = 560;
const sal_Int32 XML_display_formula = 561;
const sal_Int32 XML_display_label = 562;
const sal_Int32 XML_display_levels = 563;
const sal_Int32 XML_display_name = 564;
const sal_Int32 XML_display_outline_level = 565;
const sal_Int32 XML_dissolve = 566;
const sal_Int32 XML_distance = 567;
const sal_Int32 XML_distance_after_sep = 568;
const sal_Int32 XML_distance_before_sep = 569;
const sal_Int32 XML_distribute = 570;
const sal_Int32 XML_distribute_letter = 571;
const sal_Int32 XML_distribute_space = 572;
const sal_Int32 XML_divide = 573;
const sal_Int32 XML_document = 574;
const sal_Int32 XML_document_content = 575;
const sal_Int32 XML_document_meta = 576;
const sal_Int32 XML_document_settings = 577;
const sal_Int32 XML_document_statistic = 578;
const sal_Int32 XML_document_styles = 579;
const sal_Int32 XML_domain = 580;
const sal_Int32 XML_dot = 581;
const sal_Int32 XML_dots1 = 582;
const sal_Int32 XML_dots1_length = 583;
const sal_Int32 XML_dots2 = 584;
const sal_Int32 XML_dots2_length = 585;
const sal_Int32 XML_dotted = 586;
const sal_Int32 XML_double = 587;
const sal_Int32 XML_double_sided = 588;
const sal_Int32 XML_double_thin = 589;
const sal_Int32 XML_down = 590;
const sal_Int32 XML_draft = 591;
const sal_Int32 XML_draw = 592;
const sal_Int32 XML_ole_draw_aspect = 593;
const sal_Int32 XML_drawing = 594;
const sal_Int32 XML_drawings = 595;
const sal_Int32 XML_drawpool = 596;
const sal_Int32 XML_dropdown = 597;
const sal_Int32 XML_drop_cap = 598;
const sal_Int32 XML_dynamic = 599;
const sal_Int32 XML_edge_rounding = 600;
const sal_Int32 XML_editable = 601;
const sal_Int32 XML_editing_cycles = 602;
const sal_Int32 XML_editing_duration = 603;
const sal_Int32 XML_edition = 604;
const sal_Int32 XML_editor = 605;
const sal_Int32 XML_effect = 606;
const sal_Int32 XML_ellipse = 607;
const sal_Int32 XML_email = 608;
const sal_Int32 XML_embed = 609;
const sal_Int32 XML_embedded_visible_area = 610;
const sal_Int32 XML_embossed = 611;
const sal_Int32 XML_emissive_color = 612;
const sal_Int32 XML_empty = 613;
const sal_Int32 XML_empty_line_refresh = 614;
const sal_Int32 XML_enable_numbering = 615;
const sal_Int32 XML_enabled = 616;
const sal_Int32 XML_encoding = 617;
const sal_Int32 XML_end = 618;
const sal_Int32 XML_end_angle = 619;
const sal_Int32 XML_end_cell_address = 620;
const sal_Int32 XML_end_color = 621;
const sal_Int32 XML_end_column = 622;
const sal_Int32 XML_end_glue_point = 623;
const sal_Int32 XML_end_guide = 624;
const sal_Int32 XML_end_intensity = 625;
const sal_Int32 XML_end_line_spacing_horizontal = 626;
const sal_Int32 XML_end_line_spacing_vertical = 627;
const sal_Int32 XML_end_position = 628;
const sal_Int32 XML_end_row = 629;
const sal_Int32 XML_end_shape = 630;
const sal_Int32 XML_end_table = 631;
const sal_Int32 XML_end_x = 632;
const sal_Int32 XML_end_y = 633;
const sal_Int32 XML_endless = 634;
const sal_Int32 XML_endnote = 635;
const sal_Int32 XML_endnote_body = 636;
const sal_Int32 XML_endnote_citation = 637;
const sal_Int32 XML_endnote_ref = 638;
const sal_Int32 XML_endnotes_configuration = 639;
const sal_Int32 XML_engraved = 640;
const sal_Int32 XML_eq = 641;
const sal_Int32 XML_equal_author = 642;
const sal_Int32 XML_equal_comment = 643;
const sal_Int32 XML_equal_date = 644;
const sal_Int32 XML_era = 645;
const sal_Int32 XML_ergo_sum = 646;
const sal_Int32 XML_error_category = 647;
const sal_Int32 XML_error_lower_indicator = 648;
const sal_Int32 XML_error_lower_limit = 649;
const sal_Int32 XML_error_macro = 650;
const sal_Int32 XML_error_margin = 651;
const sal_Int32 XML_error_message = 652;
const sal_Int32 XML_error_percentage = 653;
const sal_Int32 XML_error_upper_indicator = 654;
const sal_Int32 XML_error_upper_limit = 655;
const sal_Int32 XML_sub = 656;
const sal_Int32 XML_super = 657;
const sal_Int32 XML_even_page = 658;
const sal_Int32 XML_event = 659;
const sal_Int32 XML_event_name = 660;
const sal_Int32 XML_events = 661;
const sal_Int32 XML_execute = 662;
const sal_Int32 XML_execute_macro = 663;
const sal_Int32 XML_exists = 664;
const sal_Int32 XML_exp = 665;
const sal_Int32 XML_exponential = 666;
const sal_Int32 XML_expression = 667;
const sal_Int32 XML_extra = 668;
const sal_Int32 XML_extrude = 669;
const sal_Int32 XML_factorial = 670;
const sal_Int32 XML_fade = 671;
const sal_Int32 XML_fade_from_bottom = 672;
const sal_Int32 XML_fade_from_center = 673;
const sal_Int32 XML_fade_from_left = 674;
const sal_Int32 XML_fade_from_lowerleft = 675;
const sal_Int32 XML_fade_from_lowerright = 676;
const sal_Int32 XML_fade_from_right = 677;
const sal_Int32 XML_fade_from_top = 678;
const sal_Int32 XML_fade_from_upperleft = 679;
const sal_Int32 XML_fade_from_upperright = 680;
const sal_Int32 XML_fade_out = 681;
const sal_Int32 XML_fade_to_center = 682;
const sal_Int32 XML_false = 683;
const sal_Int32 XML_family = 684;
const sal_Int32 XML_fast = 685;
const sal_Int32 XML_fence = 686;
const sal_Int32 XML_field_number = 687;
const sal_Int32 XML_file_name = 688;
const sal_Int32 XML_fill = 689;
const sal_Int32 XML_fill_character = 690;
const sal_Int32 XML_fill_color = 691;
const sal_Int32 XML_fill_gradient_name = 692;
const sal_Int32 XML_fill_hatch_name = 693;
const sal_Int32 XML_fill_hatch_solid = 694;
const sal_Int32 XML_fill_image = 695;
const sal_Int32 XML_fill_image_height = 696;
const sal_Int32 XML_fill_image_name = 697;
const sal_Int32 XML_fill_image_ref_point = 698;
const sal_Int32 XML_fill_image_ref_point_x = 699;
const sal_Int32 XML_fill_image_ref_point_y = 700;
const sal_Int32 XML_fill_image_width = 701;
const sal_Int32 XML_fill_rule = 702;
const sal_Int32 XML_filter = 703;
const sal_Int32 XML_filter_and = 704;
const sal_Int32 XML_filter_condition = 705;
const sal_Int32 XML_filter_name = 706;
const sal_Int32 XML_filter_options = 707;
const sal_Int32 XML_filter_or = 708;
const sal_Int32 XML_filter_set_item = 709;
const sal_Int32 XML_fine_dashed = 710;
const sal_Int32 XML_first_date_time = 711;
const sal_Int32 XML_first_page = 712;
const sal_Int32 XML_first_page_number = 713;
const sal_Int32 XML_fit_to_contour = 714;
const sal_Int32 XML_fit_to_size = 715;
const sal_Int32 XML_fix = 716;
const sal_Int32 XML_fixed = 717;
const sal_Int32 XML_flat = 718;
const sal_Int32 XML_float = 719;
const sal_Int32 XML_floating_frame = 720;
const sal_Int32 XML_floor = 721;
const sal_Int32 XML_fn = 722;
const sal_Int32 XML_focal_length = 723;
const sal_Int32 XML_font_char_width = 724;
const sal_Int32 XML_font_charset = 725;
const sal_Int32 XML_font_charset_asian = 726;
const sal_Int32 XML_font_charset_complex = 727;
const sal_Int32 XML_font_color = 728;
const sal_Int32 XML_font_decl = 729;
const sal_Int32 XML_font_decls = 730;
const sal_Int32 XML_font_family = 731;
const sal_Int32 XML_font_family_asian = 732;
const sal_Int32 XML_font_family_complex = 733;
const sal_Int32 XML_font_family_generic = 734;
const sal_Int32 XML_font_family_generic_asian = 735;
const sal_Int32 XML_font_family_generic_complex = 736;
const sal_Int32 XML_font_kerning = 737;
const sal_Int32 XML_font_name = 738;
const sal_Int32 XML_font_name_asian = 739;
const sal_Int32 XML_font_name_complex = 740;
const sal_Int32 XML_font_pitch = 741;
const sal_Int32 XML_font_pitch_asian = 742;
const sal_Int32 XML_font_pitch_complex = 743;
const sal_Int32 XML_font_relief = 744;
const sal_Int32 XML_font_size = 745;
const sal_Int32 XML_font_size_asian = 746;
const sal_Int32 XML_font_size_complex = 747;
const sal_Int32 XML_font_size_rel = 748;
const sal_Int32 XML_font_size_rel_asian = 749;
const sal_Int32 XML_font_size_rel_complex = 750;
const sal_Int32 XML_font_style = 751;
const sal_Int32 XML_font_style_asian = 752;
const sal_Int32 XML_font_style_complex = 753;
const sal_Int32 XML_font_style_name = 754;
const sal_Int32 XML_font_style_name_asian = 755;
const sal_Int32 XML_font_style_name_complex = 756;
const sal_Int32 XML_font_variant = 757;
const sal_Int32 XML_font_weight = 758;
const sal_Int32 XML_font_weight_asian = 759;
const sal_Int32 XML_font_weight_complex = 760;
const sal_Int32 XML_font_width = 761;
const sal_Int32 XML_font_word_line_mode = 762;
const sal_Int32 XML_fontfamily = 763;
const sal_Int32 XML_fontsize = 764;
const sal_Int32 XML_fontstyle = 765;
const sal_Int32 XML_fontweight = 766;
const sal_Int32 XML_fontwork_adjust = 767;
const sal_Int32 XML_fontwork_distance = 768;
const sal_Int32 XML_fontwork_form = 769;
const sal_Int32 XML_fontwork_hide_form = 770;
const sal_Int32 XML_fontwork_mirror = 771;
const sal_Int32 XML_fontwork_outline = 772;
const sal_Int32 XML_fontwork_shadow = 773;
const sal_Int32 XML_fontwork_shadow_color = 774;
const sal_Int32 XML_fontwork_shadow_offset_x = 775;
const sal_Int32 XML_fontwork_shadow_offset_y = 776;
const sal_Int32 XML_fontwork_shadow_transparence = 777;
const sal_Int32 XML_fontwork_start = 778;
const sal_Int32 XML_fontwork_style = 779;
const sal_Int32 XML_footer = 780;
const sal_Int32 XML_footer_first = 781;
const sal_Int32 XML_footer_left = 782;
const sal_Int32 XML_footer_style = 783;
const sal_Int32 XML_footer_visible = 784;
const sal_Int32 XML_footnote = 785;
const sal_Int32 XML_footnote_body = 786;
const sal_Int32 XML_footnote_citation = 787;
const sal_Int32 XML_footnote_continuation_notice_backward = 788;
const sal_Int32 XML_footnote_continuation_notice_forward = 789;
const sal_Int32 XML_footnote_max_height = 790;
const sal_Int32 XML_footnote_ref = 791;
const sal_Int32 XML_footnote_sep = 792;
const sal_Int32 XML_footnotes_configuration = 793;
const sal_Int32 XML_footnotes_position = 794;
const sal_Int32 XML_forall = 795;
const sal_Int32 XML_force_manual = 796;
const sal_Int32 XML_foreground = 797;
const sal_Int32 XML_foreign_object = 798;
const sal_Int32 XML_format_change = 799;
const sal_Int32 XML_format_source = 800;
const sal_Int32 XML_formatting_entry = 801;
const sal_Int32 XML_forms = 802;
const sal_Int32 XML_formula = 803;
const sal_Int32 XML_formula_hidden = 804;
const sal_Int32 XML_formulas = 805;
const sal_Int32 XML_fraction = 806;
const sal_Int32 XML_frame = 807;
const sal_Int32 XML_frame_content = 808;
const sal_Int32 XML_frame_display_border = 809;
const sal_Int32 XML_frame_display_scrollbar = 810;
const sal_Int32 XML_frame_end_margin = 811;
const sal_Int32 XML_frame_margin_horizontal = 812;
const sal_Int32 XML_frame_margin_vertical = 813;
const sal_Int32 XML_frame_name = 814;
const sal_Int32 XML_frame_start_margin = 815;
const sal_Int32 XML_freeze = 816;
const sal_Int32 XML_freeze_position = 817;
const sal_Int32 XML_from_another_table = 818;
const sal_Int32 XML_from_bottom = 819;
const sal_Int32 XML_from_center = 820;
const sal_Int32 XML_from_inside = 821;
const sal_Int32 XML_from_left = 822;
const sal_Int32 XML_from_lower_left = 823;
const sal_Int32 XML_from_lower_right = 824;
const sal_Int32 XML_from_right = 825;
const sal_Int32 XML_from_same_table = 826;
const sal_Int32 XML_from_top = 827;
const sal_Int32 XML_from_upper_left = 828;
const sal_Int32 XML_from_upper_right = 829;
const sal_Int32 XML_fuchsia = 830;
const sal_Int32 XML_full = 831;
const sal_Int32 XML_full_screen = 832;
const sal_Int32 XML_function = 833;
const sal_Int32 XML_fx = 834;
const sal_Int32 XML_fy = 835;
const sal_Int32 XML_g = 836;
const sal_Int32 XML_gamma = 837;
const sal_Int32 XML_gap = 838;
const sal_Int32 XML_gap_width = 839;
const sal_Int32 XML_gcd = 840;
const sal_Int32 XML_generator = 841;
const sal_Int32 XML_geq = 842;
const sal_Int32 XML_gl3d_bar = 843;
const sal_Int32 XML_gouraud = 844;
const sal_Int32 XML_gradient = 845;
const sal_Int32 XML_angle = 846;
const sal_Int32 XML_GRADIENT_BORDER_DUMMY = 847;
const sal_Int32 XML_gradient_step_count = 848;
const sal_Int32 XML_gradient_style = 849;
const sal_Int32 XML_axial = 850;
const sal_Int32 XML_ellipsoid = 851;
const sal_Int32 XML_GRADIENTSTYLE_LINEAR_DUMMY = 852;
const sal_Int32 XML_radial = 853;
const sal_Int32 XML_rectangular = 854;
const sal_Int32 XML_square = 855;
const sal_Int32 XML_gradientTransform = 856;
const sal_Int32 XML_grand_total = 857;
const sal_Int32 XML_graphic = 858;
const sal_Int32 XML_gray = 859;
const sal_Int32 XML_green = 860;
const sal_Int32 XML_greyscale = 861;
const sal_Int32 XML_grid = 862;
const sal_Int32 XML_groove = 863;
const sal_Int32 XML_group_by_field_number = 864;
const sal_Int32 XML_group_name = 865;
const sal_Int32 XML_grouping = 866;
const sal_Int32 XML_gt = 867;
const sal_Int32 XML_guide_distance = 868;
const sal_Int32 XML_guide_overhang = 869;
const sal_Int32 XML_h = 870;
const sal_Int32 XML_hanging = 871;
const sal_Int32 XML_has_persistent_data = 872;
const sal_Int32 XML_hatch = 873;
const sal_Int32 XML_HATCH_DISTANCE_DUMMY = 874;
const sal_Int32 XML_HATCH_STYLE_DUMMY = 875;
const sal_Int32 XML_HATCHSTYLE_DOUBLE_DUMMY = 876;
const sal_Int32 XML_HATCHSTYLE_SINGLE_DUMMY = 877;
const sal_Int32 XML_triple = 878;
const sal_Int32 XML_header = 879;
const sal_Int32 XML_header_first = 880;
const sal_Int32 XML_header_left = 881;
const sal_Int32 XML_header_style = 882;
const sal_Int32 XML_headers = 883;
const sal_Int32 XML_height = 884;
const sal_Int32 XML_help = 885;
const sal_Int32 XML_help_file_name = 886;
const sal_Int32 XML_help_id = 887;
const sal_Int32 XML_help_message = 888;
const sal_Int32 XML_hidden = 889;
const sal_Int32 XML_hidden_and_protected = 890;
const sal_Int32 XML_hidden_paragraph = 891;
const sal_Int32 XML_hidden_text = 892;
const sal_Int32 XML_hide = 893;
const sal_Int32 XML_hide_shape = 894;
const sal_Int32 XML_hide_text = 895;
const sal_Int32 XML_highlighted_range = 896;
const sal_Int32 XML_hint = 897;
const sal_Int32 XML_horizontal = 898;
const sal_Int32 XML_horizontalstrike = 899;
const sal_Int32 XML_horizontal_lines = 900;
const sal_Int32 XML_horizontal_on_left_pages = 901;
const sal_Int32 XML_horizontal_on_right_pages = 902;
const sal_Int32 XML_horizontal_pos = 903;
const sal_Int32 XML_horizontal_rel = 904;
const sal_Int32 XML_horizontal_scrollbar_width = 905;
const sal_Int32 XML_horizontal_segments = 906;
const sal_Int32 XML_horizontal_split_mode = 907;
const sal_Int32 XML_horizontal_split_position = 908;
const sal_Int32 XML_horizontal_stripes = 909;
const sal_Int32 XML_hours = 910;
const sal_Int32 XML_howpublished = 911;
const sal_Int32 XML_href = 912;
const sal_Int32 XML_html = 913;
const sal_Int32 XML_hyperlink = 914;
const sal_Int32 XML_hyperlink_behaviour = 915;
const sal_Int32 XML_hyphenate = 916;
const sal_Int32 XML_hyphenation_keep = 917;
const sal_Int32 XML_hyphenation_ladder_count = 918;
const sal_Int32 XML_hyphenation_push_char_count = 919;
const sal_Int32 XML_hyphenation_remain_char_count = 920;
const sal_Int32 XML_i = 921;
const sal_Int32 XML_icon = 922;
const sal_Int32 XML_icon_set = 923;
const sal_Int32 XML_icon_set_type = 924;
const sal_Int32 XML_id = 925;
const sal_Int32 XML_ident = 926;
const sal_Int32 XML_identifier = 927;
const sal_Int32 XML_identify_categories = 928;
const sal_Int32 XML_ideograph_alpha = 929;
const sal_Int32 XML_ignore_case = 930;
const sal_Int32 XML_ignore_empty_rows = 931;
const sal_Int32 XML_ignore_selected_page = 932;
const sal_Int32 XML_illustration_index = 933;
const sal_Int32 XML_illustration_index_entry_template = 934;
const sal_Int32 XML_illustration_index_source = 935;
const sal_Int32 XML_image = 936;
const sal_Int32 XML_image_count = 937;
const sal_Int32 XML_image_map = 938;
const sal_Int32 XML_implies = 939;
const sal_Int32 XML_in = 940;
const sal_Int32 XML_in_range = 941;
const sal_Int32 XML_inbook = 942;
const sal_Int32 XML_incollection = 943;
const sal_Int32 XML_increment = 944;
const sal_Int32 XML_index = 945;
const sal_Int32 XML_index_body = 946;
const sal_Int32 XML_index_entry_bibliography = 947;
const sal_Int32 XML_index_entry_chapter = 948;
const sal_Int32 XML_index_entry_chapter_number = 949;
const sal_Int32 XML_index_entry_link_end = 950;
const sal_Int32 XML_index_entry_link_start = 951;
const sal_Int32 XML_index_entry_page_number = 952;
const sal_Int32 XML_index_entry_span = 953;
const sal_Int32 XML_index_entry_tab_stop = 954;
const sal_Int32 XML_index_entry_template = 955;
const sal_Int32 XML_index_entry_text = 956;
const sal_Int32 XML_index_name = 957;
const sal_Int32 XML_index_scope = 958;
const sal_Int32 XML_index_source_style = 959;
const sal_Int32 XML_index_source_styles = 960;
const sal_Int32 XML_index_title = 961;
const sal_Int32 XML_index_title_template = 962;
const sal_Int32 XML_information = 963;
const sal_Int32 XML_initial_creator = 964;
const sal_Int32 XML_inproceedings = 965;
const sal_Int32 XML_insert_columns = 966;
const sal_Int32 XML_insert_rows = 967;
const sal_Int32 XML_insertion = 968;
const sal_Int32 XML_insertion_cut_off = 969;
const sal_Int32 XML_insertion_position = 970;
const sal_Int32 XML_inset = 971;
const sal_Int32 XML_inside = 972;
const sal_Int32 XML_institution = 973;
const sal_Int32 XML_int = 974;
const sal_Int32 XML_intensity = 975;
const sal_Int32 XML_intersect = 976;
const sal_Int32 XML_interval = 977;
const sal_Int32 XML_interval_major = 978;
const sal_Int32 XML_interval_minor = 979;
const sal_Int32 XML_into_english_number = 980;
const sal_Int32 XML_inverse = 981;
const sal_Int32 XML_is_active = 982;
const sal_Int32 XML_is_data_layout_field = 983;
const sal_Int32 XML_is_hidden = 984;
const sal_Int32 XML_is_selection = 985;
const sal_Int32 XML_isbn = 986;
const sal_Int32 XML_italic = 987;
const sal_Int32 XML_iteration = 988;
const sal_Int32 XML_journal = 989;
const sal_Int32 XML_justified = 990;
const sal_Int32 XML_justify = 991;
const sal_Int32 XML_justify_single_word = 992;
const sal_Int32 XML_keep_with_next = 993;
const sal_Int32 XML_KERNING_NORMAL_DUMMY = 994;
const sal_Int32 XML_key = 995;
const sal_Int32 XML_key1 = 996;
const sal_Int32 XML_key2 = 997;
const sal_Int32 XML_keyword = 998;
const sal_Int32 XML_keywords = 999;
const sal_Int32 XML_kind = 1000;
const sal_Int32 XML_km = 1001;
const sal_Int32 XML_label = 1002;
const sal_Int32 XML_label_arrangement = 1003;
const sal_Int32 XML_label_cell_address = 1004;
const sal_Int32 XML_label_cell_range_address = 1005;
const sal_Int32 XML_label_range = 1006;
const sal_Int32 XML_label_ranges = 1007;
const sal_Int32 XML_label_string = 1008;
const sal_Int32 XML_label_stroke = 1009;
const sal_Int32 XML_label_stroke_color = 1010;
const sal_Int32 XML_label_stroke_opacity = 1011;
const sal_Int32 XML_label_stroke_width = 1012;
const sal_Int32 XML_lambda = 1013;
const sal_Int32 XML_landscape = 1014;
const sal_Int32 XML_language = 1015;
const sal_Int32 XML_language_asian = 1016;
const sal_Int32 XML_language_complex = 1017;
const sal_Int32 XML_laser = 1018;
const sal_Int32 XML_last_column_spanned = 1019;
const sal_Int32 XML_last_page = 1020;
const sal_Int32 XML_last_row_spanned = 1021;
const sal_Int32 XML_layer = 1022;
const sal_Int32 XML_layer_set = 1023;
const sal_Int32 XML_leader_char = 1024;
const sal_Int32 XML_left = 1025;
const sal_Int32 XML_left_outside = 1026;
const sal_Int32 XML_left_top_position = 1027;
const sal_Int32 XML_left_arc = 1028;
const sal_Int32 XML_left_circle = 1029;
const sal_Int32 XML_legend = 1030;
const sal_Int32 XML_legend_position = 1031;
const sal_Int32 XML_length = 1032;
const sal_Int32 XML_leq = 1033;
const sal_Int32 XML_let_text = 1034;
const sal_Int32 XML_keep_text = 1035;
const sal_Int32 XML_letter_kerning = 1036;
const sal_Int32 XML_letter_spacing = 1037;
const sal_Int32 XML_letters = 1038;
const sal_Int32 XML_level = 1039;
const sal_Int32 XML_library = 1040;
const sal_Int32 XML_library_embedded = 1041;
const sal_Int32 XML_library_linked = 1042;
const sal_Int32 XML_light = 1043;
const sal_Int32 XML_lighting_mode = 1044;
const sal_Int32 XML_lime = 1045;
const sal_Int32 XML_limit = 1046;
const sal_Int32 XML_line = 1047;
const sal_Int32 XML_line_break = 1048;
const sal_Int32 XML_line_distance = 1049;
const sal_Int32 XML_line_height = 1050;
const sal_Int32 XML_line_height_at_least = 1051;
const sal_Int32 XML_line_number = 1052;
const sal_Int32 XML_line_skew = 1053;
const sal_Int32 XML_line_spacing = 1054;
const sal_Int32 XML_line_style = 1055;
const sal_Int32 XML_linear = 1056;
const sal_Int32 XML_linearGradient = 1057;
const sal_Int32 XML_linenumbering_configuration = 1058;
const sal_Int32 XML_linenumbering_separator = 1059;
const sal_Int32 XML_lines = 1060;
const sal_Int32 XML_lines_used = 1061;
const sal_Int32 XML_linked_cell = 1062;
const sal_Int32 XML_link_to_source_data = 1063;
const sal_Int32 XML_list = 1064;
const sal_Int32 XML_list_block = 1065;
const sal_Int32 XML_list_header = 1066;
const sal_Int32 XML_list_info = 1067;
const sal_Int32 XML_list_item = 1068;
const sal_Int32 XML_list_level = 1069;
const sal_Int32 XML_list_level_style_bullet = 1070;
const sal_Int32 XML_list_level_style_image = 1071;
const sal_Int32 XML_list_level_style_number = 1072;
const sal_Int32 XML_list_linkage_type = 1073;
const sal_Int32 XML_list_name = 1074;
const sal_Int32 XML_list_style = 1075;
const sal_Int32 XML_list_style_name = 1076;
const sal_Int32 XML_ln = 1077;
const sal_Int32 XML_locked = 1078;
const sal_Int32 XML_log = 1079;
const sal_Int32 XML_logarithmic = 1080;
const sal_Int32 XML_logbase = 1081;
const sal_Int32 XML_long = 1082;
const sal_Int32 XML_lowlimit = 1083;
const sal_Int32 XML_lr_tb = 1084;
const sal_Int32 XML_lt = 1085;
const sal_Int32 XML_ltr = 1086;
const sal_Int32 XML_luminance = 1087;
const sal_Int32 XML_macro_name = 1088;
const sal_Int32 XML_maction = 1089;
const sal_Int32 XML_main_entry_style_name = 1090;
const sal_Int32 XML_major = 1091;
const sal_Int32 XML_maligngroup = 1092;
const sal_Int32 XML_malignmark = 1093;
const sal_Int32 XML_manual = 1094;
const sal_Int32 XML_map = 1095;
const sal_Int32 XML_margin_bottom = 1096;
const sal_Int32 XML_margin_left = 1097;
const sal_Int32 XML_margin_right = 1098;
const sal_Int32 XML_margin_top = 1099;
const sal_Int32 XML_margins = 1100;
const sal_Int32 XML_marker = 1101;
const sal_Int32 XML_marker_end = 1102;
const sal_Int32 XML_marker_end_center = 1103;
const sal_Int32 XML_marker_end_width = 1104;
const sal_Int32 XML_marker_start = 1105;
const sal_Int32 XML_marker_start_center = 1106;
const sal_Int32 XML_marker_start_width = 1107;
const sal_Int32 XML_maroon = 1108;
const sal_Int32 XML_master_page = 1109;
const sal_Int32 XML_master_page_name = 1110;
const sal_Int32 XML_master_styles = 1111;
const sal_Int32 XML_mastersthesis = 1112;
const sal_Int32 XML_match = 1113;
const sal_Int32 XML_math = 1114;
const sal_Int32 XML_matrix = 1115;
const sal_Int32 XML_matrix_covered = 1116;
const sal_Int32 XML_matrixrow = 1117;
const sal_Int32 XML_max = 1118;
const sal_Int32 XML_max_edge = 1119;
const sal_Int32 XML_max_height = 1120;
const sal_Int32 XML_max_length = 1121;
const sal_Int32 XML_max_width = 1122;
const sal_Int32 XML_maximum = 1123;
const sal_Int32 XML_maximum_difference = 1124;
const sal_Int32 XML_may_break_between_rows = 1125;
const sal_Int32 XML_may_script = 1126;
const sal_Int32 XML_mean = 1127;
const sal_Int32 XML_mean_value = 1128;
const sal_Int32 XML_measure = 1129;
const sal_Int32 XML_measure_align = 1130;
const sal_Int32 XML_measure_vertical_align = 1131;
const sal_Int32 XML_median = 1132;
const sal_Int32 XML_medium = 1133;
const sal_Int32 XML_menclose = 1134;
const sal_Int32 XML_merror = 1135;
const sal_Int32 XML_message_type = 1136;
const sal_Int32 XML_meta = 1137;
const sal_Int32 XML_mfenced = 1138;
const sal_Int32 XML_mfrac = 1139;
const sal_Int32 XML_mi = 1140;
const sal_Int32 XML_middle = 1141;
const sal_Int32 XML_mime_type = 1142;
const sal_Int32 XML_min = 1143;
const sal_Int32 XML_min_denominator_digits = 1144;
const sal_Int32 XML_min_edge = 1145;
const sal_Int32 XML_min_exponent_digits = 1146;
const sal_Int32 XML_min_height = 1147;
const sal_Int32 XML_min_integer_digits = 1148;
const sal_Int32 XML_min_label_distance = 1149;
const sal_Int32 XML_min_label_width = 1150;
const sal_Int32 XML_min_length = 1151;
const sal_Int32 XML_min_line_height = 1152;
const sal_Int32 XML_min_numerator_digits = 1153;
const sal_Int32 XML_min_row_height = 1154;
const sal_Int32 XML_min_width = 1155;
const sal_Int32 XML_minimum = 1156;
const sal_Int32 XML_minor = 1157;
const sal_Int32 XML_minus = 1158;
const sal_Int32 XML_minutes = 1159;
const sal_Int32 XML_mirror = 1160;
const sal_Int32 XML_mirrored = 1161;
const sal_Int32 XML_misc = 1162;
const sal_Int32 XML_miter = 1163;
const sal_Int32 XML_mm = 1164;
const sal_Int32 XML_mmultiscripts = 1165;
const sal_Int32 XML_mn = 1166;
const sal_Int32 XML_mo = 1167;
const sal_Int32 XML_mode = 1168;
const sal_Int32 XML_modern = 1169;
const sal_Int32 XML_modification_date = 1170;
const sal_Int32 XML_modification_time = 1171;
const sal_Int32 XML_modulate = 1172;
const sal_Int32 XML_module = 1173;
const sal_Int32 XML_moment = 1174;
const sal_Int32 XML_mono = 1175;
const sal_Int32 XML_month = 1176;
const sal_Int32 XML_mouse_as_pen = 1177;
const sal_Int32 XML_mouse_visible = 1178;
const sal_Int32 XML_move = 1179;
const sal_Int32 XML_move_from_bottom = 1180;
const sal_Int32 XML_move_from_left = 1181;
const sal_Int32 XML_move_from_right = 1182;
const sal_Int32 XML_move_from_top = 1183;
const sal_Int32 XML_move_protect = 1184;
const sal_Int32 XML_move_short = 1185;
const sal_Int32 XML_movement = 1186;
const sal_Int32 XML_movement_cut_off = 1187;
const sal_Int32 XML_mover = 1188;
const sal_Int32 XML_moving_average = 1189;
const sal_Int32 XML_mpadded = 1190;
const sal_Int32 XML_mphantom = 1191;
const sal_Int32 XML_mprescripts = 1192;
const sal_Int32 XML_mroot = 1193;
const sal_Int32 XML_mrow = 1194;
const sal_Int32 XML_ms = 1195;
const sal_Int32 XML_mspace = 1196;
const sal_Int32 XML_msqrt = 1197;
const sal_Int32 XML_mstyle = 1198;
const sal_Int32 XML_msub = 1199;
const sal_Int32 XML_msubsup = 1200;
const sal_Int32 XML_msup = 1201;
const sal_Int32 XML_mtable = 1202;
const sal_Int32 XML_mtd = 1203;
const sal_Int32 XML_mtext = 1204;
const sal_Int32 XML_mtr = 1205;
const sal_Int32 XML_multi_deletion_spanned = 1206;
const sal_Int32 XML_munder = 1207;
const sal_Int32 XML_munderover = 1208;
const sal_Int32 XML_name = 1209;
const sal_Int32 XML_name_and_extension = 1210;
const sal_Int32 XML_named_expression = 1211;
const sal_Int32 XML_named_expressions = 1212;
const sal_Int32 XML_named_range = 1213;
const sal_Int32 XML_navy = 1214;
const sal_Int32 XML_negative_color = 1215;
const sal_Int32 XML_neq = 1216;
const sal_Int32 XML_new = 1217;
const sal_Int32 XML_next = 1218;
const sal_Int32 XML_next_page = 1219;
const sal_Int32 XML_next_style_name = 1220;
const sal_Int32 XML_no_limit = 1221;
const sal_Int32 XML_no_wrap = 1222;
const sal_Int32 XML_NOEMPTY_DUMMY = 1223;
const sal_Int32 XML_nohref = 1224;
const sal_Int32 XML_NOMATCH_DUMMY = 1225;
const sal_Int32 XML_none = 1226;
const sal_Int32 XML_notprsubset = 1227;
const sal_Int32 XML_normal = 1228;
const sal_Int32 XML_normals_direction = 1229;
const sal_Int32 XML_normals_kind = 1230;
const sal_Int32 XML_not = 1231;
const sal_Int32 XML_not_equal_date = 1232;
const sal_Int32 XML_notation = 1233;
const sal_Int32 XML_note = 1234;
const sal_Int32 XML_notes = 1235;
const sal_Int32 XML_notin = 1236;
const sal_Int32 XML_notsubset = 1237;
const sal_Int32 XML_null_date = 1238;
const sal_Int32 XML_null_year = 1239;
const sal_Int32 XML_num_format = 1240;
const sal_Int32 XML_num_letter_sync = 1241;
const sal_Int32 XML_num_prefix = 1242;
const sal_Int32 XML_num_suffix = 1243;
const sal_Int32 XML_numalign = 1244;
const sal_Int32 XML_number = 1245;
const sal_Int32 XML_number_and_name = 1246;
const sal_Int32 XML_number_columns_repeated = 1247;
const sal_Int32 XML_number_columns_spanned = 1248;
const sal_Int32 XML_number_lines = 1249;
const sal_Int32 XML_number_matrix_columns_spanned = 1250;
const sal_Int32 XML_number_matrix_rows_spanned = 1251;
const sal_Int32 XML_number_position = 1252;
const sal_Int32 XML_number_rows_repeated = 1253;
const sal_Int32 XML_number_rows_spanned = 1254;
const sal_Int32 XML_number_style = 1255;
const sal_Int32 XML_number_wrapped_paragraphs = 1256;
const sal_Int32 XML_numbered_entries = 1257;
const sal_Int32 XML_object = 1258;
const sal_Int32 XML_object_count = 1259;
const sal_Int32 XML_object_index = 1260;
const sal_Int32 XML_object_index_entry_template = 1261;
const sal_Int32 XML_object_index_source = 1262;
const sal_Int32 XML_object_name = 1263;
const sal_Int32 XML_object_ole = 1264;
const sal_Int32 XML_objects = 1265;
const sal_Int32 XML_odd_page = 1266;
const sal_Int32 XML_offset = 1267;
const sal_Int32 XML_olive = 1268;
const sal_Int32 XML_onLoad = 1269;
const sal_Int32 XML_onRequest = 1270;
const sal_Int32 XML_on_update_keep_size = 1271;
const sal_Int32 XML_on_update_keep_styles = 1272;
const sal_Int32 XML_online = 1273;
const sal_Int32 XML_online_text = 1274;
const sal_Int32 XML_OPAQUE_BACKGROUND_DUMMY = 1275;
const sal_Int32 XML_OPAQUE_FOREGROUND_DUMMY = 1276;
const sal_Int32 XML_open = 1277;
const sal_Int32 XML_open_horizontal = 1278;
const sal_Int32 XML_open_vertical = 1279;
const sal_Int32 XML_operation = 1280;
const sal_Int32 XML_operator = 1281;
const sal_Int32 XML_optimal = 1282;
const sal_Int32 XML_option = 1283;
const sal_Int32 XML_or = 1284;
const sal_Int32 XML_order = 1285;
const sal_Int32 XML_ordered_list = 1286;
const sal_Int32 XML_organizations = 1287;
const sal_Int32 XML_orientation = 1288;
const sal_Int32 XML_orientation_landscape = 1289;
const sal_Int32 XML_orientation_portrait = 1290;
const sal_Int32 XML_origin = 1291;
const sal_Int32 XML_orphans = 1292;
const sal_Int32 XML_outline_level = 1293;
const sal_Int32 XML_outline_level_style = 1294;
const sal_Int32 XML_outline_style = 1295;
const sal_Int32 XML_outset = 1296;
const sal_Int32 XML_outside = 1297;
const sal_Int32 XML_overlap = 1298;
const sal_Int32 XML_p = 1299;
const sal_Int32 XML_package_name = 1300;
const sal_Int32 XML_padding = 1301;
const sal_Int32 XML_padding_bottom = 1302;
const sal_Int32 XML_padding_left = 1303;
const sal_Int32 XML_padding_right = 1304;
const sal_Int32 XML_padding_top = 1305;
const sal_Int32 XML_page = 1306;
const sal_Int32 XML_page_adjust = 1307;
const sal_Int32 XML_page_breaks_on_group_change = 1308;
const sal_Int32 XML_page_content = 1309;
const sal_Int32 XML_page_continuation_string = 1310;
const sal_Int32 XML_page_count = 1311;
const sal_Int32 XML_page_end_margin = 1312;
const sal_Int32 XML_page_height = 1313;
const sal_Int32 XML_page_master = 1314;
const sal_Int32 XML_page_master_name = 1315;
const sal_Int32 XML_page_name = 1316;
const sal_Int32 XML_page_number = 1317;
const sal_Int32 XML_page_number_visible = 1318;
const sal_Int32 XML_page_start_margin = 1319;
const sal_Int32 XML_page_style_name = 1320;
const sal_Int32 XML_page_thumbnail = 1321;
const sal_Int32 XML_page_usage = 1322;
const sal_Int32 XML_page_variable_get = 1323;
const sal_Int32 XML_page_variable_set = 1324;
const sal_Int32 XML_page_view_zoom_value = 1325;
const sal_Int32 XML_page_width = 1326;
const sal_Int32 XML_pages = 1327;
const sal_Int32 XML_paper_tray_number = 1328;
const sal_Int32 XML_paragraph = 1329;
const sal_Int32 XML_paragraph_content = 1330;
const sal_Int32 XML_paragraph_count = 1331;
const sal_Int32 XML_paragraph_end_margin = 1332;
const sal_Int32 XML_paragraph_start_margin = 1333;
const sal_Int32 XML_parallel = 1334;
const sal_Int32 XML_param = 1335;
const sal_Int32 XML_parent_style_name = 1336;
const sal_Int32 XML_parse_sql_statement = 1337;
const sal_Int32 XML_parsed = 1338;
const sal_Int32 XML_partialdiff = 1339;
const sal_Int32 XML_password = 1340;
const sal_Int32 XML_passwort = 1341;
const sal_Int32 XML_path = 1342;
const sal_Int32 XML_path_id = 1343;
const sal_Int32 XML_pause = 1344;
const sal_Int32 XML_pending = 1345;
const sal_Int32 XML_percentage = 1346;
const sal_Int32 XML_percentage_style = 1347;
const sal_Int32 XML_perspective = 1348;
const sal_Int32 XML_phdthesis = 1349;
const sal_Int32 XML_phong = 1350;
const sal_Int32 XML_pie_offset = 1351;
const sal_Int32 XML_placeholder = 1352;
const sal_Int32 XML_placeholder_type = 1353;
const sal_Int32 XML_placing = 1354;
const sal_Int32 XML_plain_number = 1355;
const sal_Int32 XML_plain_number_and_name = 1356;
const sal_Int32 XML_play_full = 1357;
const sal_Int32 XML_plot_area = 1358;
const sal_Int32 XML_plugin = 1359;
const sal_Int32 XML_plus = 1360;
const sal_Int32 XML_points = 1361;
const sal_Int32 XML_polygon = 1362;
const sal_Int32 XML_polyline = 1363;
const sal_Int32 XML_polynomial = 1364;
const sal_Int32 XML_pool_id = 1365;
const sal_Int32 XML_portrait = 1366;
const sal_Int32 XML_position = 1367;
const sal_Int32 XML_position_bottom = 1368;
const sal_Int32 XML_position_left = 1369;
const sal_Int32 XML_position_right = 1370;
const sal_Int32 XML_position_top = 1371;
const sal_Int32 XML_positive_color = 1372;
const sal_Int32 XML_POSTURE_ITALIC_DUMMY = 1373;
const sal_Int32 XML_POSTURE_NORMAL_DUMMY = 1374;
const sal_Int32 XML_oblique = 1375;
const sal_Int32 XML_power = 1376;
const sal_Int32 XML_precision_as_shown = 1377;
const sal_Int32 XML_prefix = 1378;
const sal_Int32 XML_presentation = 1379;
const sal_Int32 XML_PRESENTATION_CHART_DUMMY = 1380;
const sal_Int32 XML_PRESENTATION_GRAPHIC_DUMMY = 1381;
const sal_Int32 XML_PRESENTATION_NOTES_DUMMY = 1382;
const sal_Int32 XML_PRESENTATION_OBJECT_DUMMY = 1383;
const sal_Int32 XML_orgchart = 1384;
const sal_Int32 XML_outline = 1385;
const sal_Int32 XML_PRESENTATION_PAGE_DUMMY = 1386;
const sal_Int32 XML_presentation_page_layout = 1387;
const sal_Int32 XML_presentation_page_layout_name = 1388;
const sal_Int32 XML_PRESENTATION_SUBTITLE_DUMMY = 1389;
const sal_Int32 XML_PRESENTATION_TABLE_DUMMY = 1390;
const sal_Int32 XML_PRESENTATION_TITLE_DUMMY = 1391;
const sal_Int32 XML_previous = 1392;
const sal_Int32 XML_previous_page = 1393;
const sal_Int32 XML_print = 1394;
const sal_Int32 XML_print_content = 1395;
const sal_Int32 XML_print_date = 1396;
const sal_Int32 XML_print_orientation = 1397;
const sal_Int32 XML_print_page_order = 1398;
const sal_Int32 XML_print_range = 1399;
const sal_Int32 XML_print_ranges = 1400;
const sal_Int32 XML_print_time = 1401;
const sal_Int32 XML_printable = 1402;
const sal_Int32 XML_printed_by = 1403;
const sal_Int32 XML_proceedings = 1404;
const sal_Int32 XML_product = 1405;
const sal_Int32 XML_projection = 1406;
const sal_Int32 XML_properties = 1407;
const sal_Int32 XML_protect = 1408;
const sal_Int32 XML_PROTECT_CONTENT_DUMMY = 1409;
const sal_Int32 XML_PROTECT_POSITION_DUMMY = 1410;
const sal_Int32 XML_PROTECT_SIZE_DUMMY = 1411;
const sal_Int32 XML_protected = 1412;
const sal_Int32 XML_protection_key = 1413;
const sal_Int32 XML_protection_key_digest_algorithm = 1414;
const sal_Int32 XML_protection_key_digest_algorithm_2 = 1415;
const sal_Int32 XML_prsubset = 1416;
const sal_Int32 XML_publisher = 1417;
const sal_Int32 XML_punctuation_wrap = 1418;
const sal_Int32 XML_purple = 1419;
const sal_Int32 XML_pyramid = 1420;
const sal_Int32 XML_quarter = 1421;
const sal_Int32 XML_query_name = 1422;
const sal_Int32 XML_quo_vadis = 1423;
const sal_Int32 XML_quotient = 1424;
const sal_Int32 XML_r = 1425;
const sal_Int32 XML_radar = 1426;
const sal_Int32 XML_random = 1427;
const sal_Int32 XML_range_address = 1428;
const sal_Int32 XML_range_usable_as = 1429;
const sal_Int32 XML_recreate_on_edit = 1430;
const sal_Int32 XML_rect = 1431;
const sal_Int32 XML_red = 1432;
const sal_Int32 XML_ref_name = 1433;
const sal_Int32 XML_reference = 1434;
const sal_Int32 XML_reference_end = 1435;
const sal_Int32 XML_reference_format = 1436;
const sal_Int32 XML_reference_mark = 1437;
const sal_Int32 XML_reference_mark_end = 1438;
const sal_Int32 XML_reference_mark_start = 1439;
const sal_Int32 XML_reference_ref = 1440;
const sal_Int32 XML_reference_start = 1441;
const sal_Int32 XML_reference_type = 1442;
const sal_Int32 XML_refresh_delay = 1443;
const sal_Int32 XML_region_center = 1444;
const sal_Int32 XML_region_left = 1445;
const sal_Int32 XML_region_right = 1446;
const sal_Int32 XML_register_true = 1447;
const sal_Int32 XML_register_truth_ref_style_name = 1448;
const sal_Int32 XML_rejected = 1449;
const sal_Int32 XML_rejecting_change_id = 1450;
const sal_Int32 XML_rejection = 1451;
const sal_Int32 XML_rel_column_width = 1452;
const sal_Int32 XML_rel_height = 1453;
const sal_Int32 XML_rel_height_rel = 1454;
const sal_Int32 XML_rel_width = 1455;
const sal_Int32 XML_rel_width_rel = 1456;
const sal_Int32 XML_relative = 1457;
const sal_Int32 XML_relative_tab_stop_position = 1458;
const sal_Int32 XML_reln = 1459;
const sal_Int32 XML_rem = 1460;
const sal_Int32 XML_remove_dependents = 1461;
const sal_Int32 XML_remove_precedents = 1462;
const sal_Int32 XML_repeat = 1463;
const sal_Int32 XML_repeat_column = 1464;
const sal_Int32 XML_repeat_row = 1465;
const sal_Int32 XML_repeated = 1466;
const sal_Int32 XML_replace = 1467;
const sal_Int32 XML_report_type = 1468;
const sal_Int32 XML_restart_on_page = 1469;
const sal_Int32 XML_revision = 1470;
const sal_Int32 XML_ridge = 1471;
const sal_Int32 XML_right = 1472;
const sal_Int32 XML_right_outside = 1473;
const sal_Int32 XML_right_arc = 1474;
const sal_Int32 XML_right_circle = 1475;
const sal_Int32 XML_ring = 1476;
const sal_Int32 XML_role = 1477;
const sal_Int32 XML_roll_from_bottom = 1478;
const sal_Int32 XML_roll_from_left = 1479;
const sal_Int32 XML_roll_from_right = 1480;
const sal_Int32 XML_roman = 1481;
const sal_Int32 XML_root = 1482;
const sal_Int32 XML_rotate = 1483;
const sal_Int32 XML_rotation = 1484;
const sal_Int32 XML_rotation_align = 1485;
const sal_Int32 XML_rotation_angle = 1486;
const sal_Int32 XML_round = 1487;
const sal_Int32 XML_rounded_edge = 1488;
const sal_Int32 XML_row = 1489;
const sal_Int32 XML_row_height = 1490;
const sal_Int32 XML_row_number = 1491;
const sal_Int32 XML_rows = 1492;
const sal_Int32 XML_rsid = 1493;
const sal_Int32 XML_paragraph_rsid = 1494;
const sal_Int32 XML_ruby = 1495;
const sal_Int32 XML_ruby_align = 1496;
const sal_Int32 XML_ruby_base = 1497;
const sal_Int32 XML_ruby_position = 1498;
const sal_Int32 XML_ruby_text = 1499;
const sal_Int32 XML_run_through = 1500;
const sal_Int32 XML_rx = 1501;
const sal_Int32 XML_ry = 1502;
const sal_Int32 XML_s = 1503;
const sal_Int32 XML_scale = 1504;
const sal_Int32 XML_scale_min = 1505;
const sal_Int32 XML_scale_text = 1506;
const sal_Int32 XML_scale_to = 1507;
const sal_Int32 XML_scale_to_pages = 1508;
const sal_Int32 XML_scatter = 1509;
const sal_Int32 XML_scenario = 1510;
const sal_Int32 XML_scenario_ranges = 1511;
const sal_Int32 XML_scene = 1512;
const sal_Int32 XML_school = 1513;
const sal_Int32 XML_scientific_number = 1514;
const sal_Int32 XML_score_spaces = 1515;
const sal_Int32 XML_script = 1516;
const sal_Int32 XML_script_asian = 1517;
const sal_Int32 XML_script_complex = 1518;
const sal_Int32 XML_scroll = 1519;
const sal_Int32 XML_sdev = 1520;
const sal_Int32 XML_search_criteria_must_apply_to_whole_cell = 1521;
const sal_Int32 XML_sec = 1522;
const sal_Int32 XML_sech = 1523;
const sal_Int32 XML_second_date_time = 1524;
const sal_Int32 XML_seconds = 1525;
const sal_Int32 XML_section = 1526;
const sal_Int32 XML_section_desc = 1527;
const sal_Int32 XML_section_name = 1528;
const sal_Int32 XML_section_source = 1529;
const sal_Int32 XML_select_page = 1530;
const sal_Int32 XML_select_protected_cells = 1531;
const sal_Int32 XML_select_unprotected_cells = 1532;
const sal_Int32 XML_selector = 1533;
const sal_Int32 XML_semantics = 1534;
const sal_Int32 XML_semi_automatic = 1535;
const sal_Int32 XML_sender_city = 1536;
const sal_Int32 XML_sender_company = 1537;
const sal_Int32 XML_sender_country = 1538;
const sal_Int32 XML_sender_email = 1539;
const sal_Int32 XML_sender_fax = 1540;
const sal_Int32 XML_sender_firstname = 1541;
const sal_Int32 XML_sender_initials = 1542;
const sal_Int32 XML_sender_lastname = 1543;
const sal_Int32 XML_sender_phone_private = 1544;
const sal_Int32 XML_sender_phone_work = 1545;
const sal_Int32 XML_sender_position = 1546;
const sal_Int32 XML_sender_postal_code = 1547;
const sal_Int32 XML_sender_state_or_province = 1548;
const sal_Int32 XML_sender_street = 1549;
const sal_Int32 XML_sender_title = 1550;
const sal_Int32 XML_sep = 1551;
const sal_Int32 XML_separation_character = 1552;
const sal_Int32 XML_separator = 1553;
const sal_Int32 XML_sequence = 1554;
const sal_Int32 XML_sequence_decl = 1555;
const sal_Int32 XML_sequence_decls = 1556;
const sal_Int32 XML_sequence_ref = 1557;
const sal_Int32 XML_series = 1558;
const sal_Int32 XML_series_source = 1559;
const sal_Int32 XML_server_map = 1560;
const sal_Int32 XML_set = 1561;
const sal_Int32 XML_setdiff = 1562;
const sal_Int32 XML_settings = 1563;
const sal_Int32 XML_shade_mode = 1564;
const sal_Int32 XML_shadow = 1565;
const sal_Int32 XML_shadow_color = 1566;
const sal_Int32 XML_shadow_offset_x = 1567;
const sal_Int32 XML_shadow_offset_y = 1568;
const sal_Int32 XML_shadow_slant = 1569;
const sal_Int32 XML_shadow_transparency = 1570;
const sal_Int32 XML_shape = 1571;
const sal_Int32 XML_shape_id = 1572;
const sal_Int32 XML_shapes = 1573;
const sal_Int32 XML_sheet_name = 1574;
const sal_Int32 XML_shininess = 1575;
const sal_Int32 XML_short = 1576;
const sal_Int32 XML_show = 1577;
const sal_Int32 XML_show_accepted_changes = 1578;
const sal_Int32 XML_show_changes = 1579;
const sal_Int32 XML_show_changes_by_author = 1580;
const sal_Int32 XML_show_changes_by_author_name = 1581;
const sal_Int32 XML_show_changes_by_comment = 1582;
const sal_Int32 XML_show_changes_by_comment_text = 1583;
const sal_Int32 XML_show_changes_by_datetime = 1584;
const sal_Int32 XML_show_changes_by_datetime_first_datetime = 1585;
const sal_Int32 XML_show_changes_by_datetime_mode = 1586;
const sal_Int32 XML_show_changes_by_datetime_second_datetime = 1587;
const sal_Int32 XML_show_changes_by_ranges = 1588;
const sal_Int32 XML_show_changes_by_ranges_list = 1589;
const sal_Int32 XML_show_logo = 1590;
const sal_Int32 XML_show_rejected_changes = 1591;
const sal_Int32 XML_show_shape = 1592;
const sal_Int32 XML_show_text = 1593;
const sal_Int32 XML_show_unit = 1594;
const sal_Int32 XML_show_value = 1595;
const sal_Int32 XML_shows = 1596;
const sal_Int32 XML_side_by_side = 1597;
const sal_Int32 XML_silver = 1598;
const sal_Int32 XML_simple = 1599;
const sal_Int32 XML_sin = 1600;
const sal_Int32 XML_since_date_time = 1601;
const sal_Int32 XML_since_save = 1602;
const sal_Int32 XML_sinh = 1603;
const sal_Int32 XML_size = 1604;
const sal_Int32 XML_size_protect = 1605;
const sal_Int32 XML_slant = 1606;
const sal_Int32 XML_slant_x = 1607;
const sal_Int32 XML_slant_y = 1608;
const sal_Int32 XML_slide = 1609;
const sal_Int32 XML_slow = 1610;
const sal_Int32 XML_solid = 1611;
const sal_Int32 XML_solid_type = 1612;
const sal_Int32 XML_sort = 1613;
const sal_Int32 XML_sort_ascending = 1614;
const sal_Int32 XML_sort_by = 1615;
const sal_Int32 XML_sort_by_position = 1616;
const sal_Int32 XML_sort_groups = 1617;
const sal_Int32 XML_sort_key = 1618;
const sal_Int32 XML_sound = 1619;
const sal_Int32 XML_source_cell_range = 1620;
const sal_Int32 XML_source_cell_range_addresses = 1621;
const sal_Int32 XML_source_field_name = 1622;
const sal_Int32 XML_source_name = 1623;
const sal_Int32 XML_source_range_address = 1624;
const sal_Int32 XML_source_service = 1625;
const sal_Int32 XML_space_before = 1626;
const sal_Int32 XML_span = 1627;
const sal_Int32 XML_specular = 1628;
const sal_Int32 XML_specular_color = 1629;
const sal_Int32 XML_speed = 1630;
const sal_Int32 XML_sphere = 1631;
const sal_Int32 XML_spiral = 1632;
const sal_Int32 XML_spiral_in = 1633;
const sal_Int32 XML_spiral_inward_left = 1634;
const sal_Int32 XML_spiral_inward_right = 1635;
const sal_Int32 XML_spiral_out = 1636;
const sal_Int32 XML_spiral_outward_left = 1637;
const sal_Int32 XML_spiral_outward_right = 1638;
const sal_Int32 XML_spiralin_left = 1639;
const sal_Int32 XML_spiralin_right = 1640;
const sal_Int32 XML_spiralout_left = 1641;
const sal_Int32 XML_spiralout_right = 1642;
const sal_Int32 XML_splines = 1643;
const sal_Int32 XML_split = 1644;
const sal_Int32 XML_split_column = 1645;
const sal_Int32 XML_split_position = 1646;
const sal_Int32 XML_split_row = 1647;
const sal_Int32 XML_spreadsheet = 1648;
const sal_Int32 XML_spreadMethod = 1649;
const sal_Int32 XML_sql_statement = 1650;
const sal_Int32 XML_stacked = 1651;
const sal_Int32 XML_stagger_even = 1652;
const sal_Int32 XML_stagger_odd = 1653;
const sal_Int32 XML_standard = 1654;
const sal_Int32 XML_standard_deviation = 1655;
const sal_Int32 XML_starbasic = 1656;
const sal_Int32 XML_start = 1657;
const sal_Int32 XML_start_angle = 1658;
const sal_Int32 XML_start_color = 1659;
const sal_Int32 XML_start_column = 1660;
const sal_Int32 XML_start_glue_point = 1661;
const sal_Int32 XML_start_guide = 1662;
const sal_Int32 XML_start_intensity = 1663;
const sal_Int32 XML_start_line_spacing_horizontal = 1664;
const sal_Int32 XML_start_line_spacing_vertical = 1665;
const sal_Int32 XML_start_numbering_at = 1666;
const sal_Int32 XML_start_page = 1667;
const sal_Int32 XML_start_position = 1668;
const sal_Int32 XML_start_row = 1669;
const sal_Int32 XML_start_scale = 1670;
const sal_Int32 XML_start_shape = 1671;
const sal_Int32 XML_start_table = 1672;
const sal_Int32 XML_start_value = 1673;
const sal_Int32 XML_start_with_navigator = 1674;
const sal_Int32 XML_statistics = 1675;
const sal_Int32 XML_status = 1676;
const sal_Int32 XML_stay_on_top = 1677;
const sal_Int32 XML_stdev = 1678;
const sal_Int32 XML_stdevp = 1679;
const sal_Int32 XML_steps = 1680;
const sal_Int32 XML_step_size = 1681;
const sal_Int32 XML_stock = 1682;
const sal_Int32 XML_stock_updown_bars = 1683;
const sal_Int32 XML_stock_with_volume = 1684;
const sal_Int32 XML_stop = 1685;
const sal_Int32 XML_stop_color = 1686;
const sal_Int32 XML_stop_opacity = 1687;
const sal_Int32 XML_stretch = 1688;
const sal_Int32 XML_stretch_from_bottom = 1689;
const sal_Int32 XML_stretch_from_left = 1690;
const sal_Int32 XML_stretch_from_right = 1691;
const sal_Int32 XML_stretch_from_top = 1692;
const sal_Int32 XML_stretchy = 1693;
const sal_Int32 XML_strict = 1694;
const sal_Int32 XML_string = 1695;
const sal_Int32 XML_string_value = 1696;
const sal_Int32 XML_string_value_if_false = 1697;
const sal_Int32 XML_string_value_if_true = 1698;
const sal_Int32 XML_stripes = 1699;
const sal_Int32 XML_stroke = 1700;
const sal_Int32 XML_stroke_color = 1701;
const sal_Int32 XML_stroke_dash = 1702;
const sal_Int32 XML_stroke_linecap = 1703;
const sal_Int32 XML_stroke_linejoin = 1704;
const sal_Int32 XML_stroke_opacity = 1705;
const sal_Int32 XML_stroke_width = 1706;
const sal_Int32 XML_structure_protected = 1707;
const sal_Int32 XML_style = 1708;
const sal_Int32 XML_style_name = 1709;
const sal_Int32 XML_styles = 1710;
const sal_Int32 XML_stylesheet = 1711;
const sal_Int32 XML_sub_table = 1712;
const sal_Int32 XML_subject = 1713;
const sal_Int32 XML_subset = 1714;
const sal_Int32 XML_subtitle = 1715;
const sal_Int32 XML_subtotal_field = 1716;
const sal_Int32 XML_subtotal_rule = 1717;
const sal_Int32 XML_subtotal_rules = 1718;
const sal_Int32 XML_sub_view_size = 1719;
const sal_Int32 XML_suffix = 1720;
const sal_Int32 XML_sum = 1721;
const sal_Int32 XML_swiss = 1722;
const sal_Int32 XML_symbol = 1723;
const sal_Int32 XML_symbol_height = 1724;
const sal_Int32 XML_symbol_image_name = 1725;
const sal_Int32 XML_symbol_width = 1726;
const sal_Int32 XML_system = 1727;
const sal_Int32 XML_tab_color = 1728;
const sal_Int32 XML_tab_stop = 1729;
const sal_Int32 XML_tab_stop_distance = 1730;
const sal_Int32 XML_tab_stops = 1731;
const sal_Int32 XML_table = 1732;
const sal_Int32 XML_table_background = 1733;
const sal_Int32 XML_table_cell = 1734;
const sal_Int32 XML_table_centering = 1735;
const sal_Int32 XML_table_column = 1736;
const sal_Int32 XML_table_column_group = 1737;
const sal_Int32 XML_table_columns = 1738;
const sal_Int32 XML_table_count = 1739;
const sal_Int32 XML_table_header = 1740;
const sal_Int32 XML_table_header_columns = 1741;
const sal_Int32 XML_table_header_rows = 1742;
const sal_Int32 XML_table_index = 1743;
const sal_Int32 XML_table_index_entry_template = 1744;
const sal_Int32 XML_table_index_source = 1745;
const sal_Int32 XML_table_name = 1746;
const sal_Int32 XML_table_of_content = 1747;
const sal_Int32 XML_table_of_content_entry_template = 1748;
const sal_Int32 XML_table_of_content_source = 1749;
const sal_Int32 XML_table_page = 1750;
const sal_Int32 XML_table_protection = 1751;
const sal_Int32 XML_table_row = 1752;
const sal_Int32 XML_table_row_group = 1753;
const sal_Int32 XML_table_rows = 1754;
const sal_Int32 XML_table_source = 1755;
const sal_Int32 XML_table_view = 1756;
const sal_Int32 XML_tables = 1757;
const sal_Int32 XML_tan = 1758;
const sal_Int32 XML_tanh = 1759;
const sal_Int32 XML_target_cell_address = 1760;
const sal_Int32 XML_target_frame = 1761;
const sal_Int32 XML_target_frame_name = 1762;
const sal_Int32 XML_target_range_address = 1763;
const sal_Int32 XML_tb_rl = 1764;
const sal_Int32 XML_teal = 1765;
const sal_Int32 XML_techreport = 1766;
const sal_Int32 XML_template = 1767;
const sal_Int32 XML_template_name = 1768;
const sal_Int32 XML_tendsto = 1769;
const sal_Int32 XML_texture_filter = 1770;
const sal_Int32 XML_texture_generation_mode_x = 1771;
const sal_Int32 XML_texture_generation_mode_y = 1772;
const sal_Int32 XML_texture_kind = 1773;
const sal_Int32 XML_texture_mode = 1774;
const sal_Int32 XML_text = 1775;
const sal_Int32 XML_text_align = 1776;
const sal_Int32 XML_text_align_last = 1777;
const sal_Int32 XML_text_align_source = 1778;
const sal_Int32 XML_text_autospace = 1779;
const sal_Int32 XML_text_background_color = 1780;
const sal_Int32 XML_text_blinking = 1781;
const sal_Int32 XML_text_box = 1782;
const sal_Int32 XML_text_combine = 1783;
const sal_Int32 XML_text_combine_end_char = 1784;
const sal_Int32 XML_text_combine_start_char = 1785;
const sal_Int32 XML_text_content = 1786;
const sal_Int32 XML_text_crossing_out = 1787;
const sal_Int32 XML_text_emphasize = 1788;
const sal_Int32 XML_text_global = 1789;
const sal_Int32 XML_text_indent = 1790;
const sal_Int32 XML_text_input = 1791;
const sal_Int32 XML_text_justify = 1792;
const sal_Int32 XML_text_outline = 1793;
const sal_Int32 XML_text_position = 1794;
const sal_Int32 XML_text_rotation_angle = 1795;
const sal_Int32 XML_text_rotation_scale = 1796;
const sal_Int32 XML_text_scale = 1797;
const sal_Int32 XML_text_shadow = 1798;
const sal_Int32 XML_text_style = 1799;
const sal_Int32 XML_text_transform = 1800;
const sal_Int32 XML_text_underline = 1801;
const sal_Int32 XML_text_underline_color = 1802;
const sal_Int32 XML_textarea_horizontal_align = 1803;
const sal_Int32 XML_textarea_vertical_align = 1804;
const sal_Int32 XML_textual = 1805;
const sal_Int32 XML_thick = 1806;
const sal_Int32 XML_thin = 1807;
const sal_Int32 XML_three_dimensional = 1808;
const sal_Int32 XML_thumbnail = 1809;
const sal_Int32 XML_tick_marks_major_inner = 1810;
const sal_Int32 XML_tick_marks_major_outer = 1811;
const sal_Int32 XML_tick_marks_minor_inner = 1812;
const sal_Int32 XML_tick_marks_minor_outer = 1813;
const sal_Int32 XML_tile_repeat_offset = 1814;
const sal_Int32 XML_time = 1815;
const sal_Int32 XML_time_adjust = 1816;
const sal_Int32 XML_time_style = 1817;
const sal_Int32 XML_time_value = 1818;
const sal_Int32 XML_times = 1819;
const sal_Int32 XML_title = 1820;
const sal_Int32 XML_to_another_table = 1821;
const sal_Int32 XML_to_bottom = 1822;
const sal_Int32 XML_to_center = 1823;
const sal_Int32 XML_to_left = 1824;
const sal_Int32 XML_to_lower_left = 1825;
const sal_Int32 XML_to_lower_right = 1826;
const sal_Int32 XML_to_right = 1827;
const sal_Int32 XML_to_top = 1828;
const sal_Int32 XML_to_upper_left = 1829;
const sal_Int32 XML_to_upper_right = 1830;
const sal_Int32 XML_toc_mark = 1831;
const sal_Int32 XML_toc_mark_end = 1832;
const sal_Int32 XML_toc_mark_start = 1833;
const sal_Int32 XML_top = 1834;
const sal_Int32 XML_top_left = 1835;
const sal_Int32 XML_TOP_PERCENT_DUMMY = 1836;
const sal_Int32 XML_top_right = 1837;
const sal_Int32 XML_TOP_VALUES_DUMMY = 1838;
const sal_Int32 XML_top_arc = 1839;
const sal_Int32 XML_top_circle = 1840;
const sal_Int32 XML_trace_dependents = 1841;
const sal_Int32 XML_trace_errors = 1842;
const sal_Int32 XML_trace_precedents = 1843;
const sal_Int32 XML_track_changes = 1844;
const sal_Int32 XML_tracked_changes = 1845;
const sal_Int32 XML_tracked_changes_view_settings = 1846;
const sal_Int32 XML_transform = 1847;
const sal_Int32 XML_transition_on_click = 1848;
const sal_Int32 XML_transparency = 1849;
const sal_Int32 XML_transparency_name = 1850;
const sal_Int32 XML_transparent = 1851;
const sal_Int32 XML_transpose = 1852;
const sal_Int32 XML_true = 1853;
const sal_Int32 XML_truncate_on_overflow = 1854;
const sal_Int32 XML_try_staggering_first = 1855;
const sal_Int32 XML_tspan = 1856;
const sal_Int32 XML_ttb = 1857;
const sal_Int32 XML_type = 1858;
const sal_Int32 XML_dot_dash = 1859;
const sal_Int32 XML_dot_dot_dash = 1860;
const sal_Int32 XML_long_dash = 1861;
const sal_Int32 XML_single = 1862;
const sal_Int32 XML_small_wave = 1863;
const sal_Int32 XML_wave = 1864;
const sal_Int32 XML_unformatted_text = 1865;
const sal_Int32 XML_union = 1866;
const sal_Int32 XML_unit = 1867;
const sal_Int32 XML_unordered_list = 1868;
const sal_Int32 XML_unpublished = 1869;
const sal_Int32 XML_up = 1870;
const sal_Int32 XML_uplimit = 1871;
const sal_Int32 XML_upright = 1872;
const sal_Int32 XML_url = 1873;
const sal_Int32 XML_use = 1874;
const sal_Int32 XML_use_caption = 1875;
const sal_Int32 XML_use_cell_protection = 1876;
const sal_Int32 XML_use_chart_objects = 1877;
const sal_Int32 XML_use_condition = 1878;
const sal_Int32 XML_use_draw_objects = 1879;
const sal_Int32 XML_use_floating_frames = 1880;
const sal_Int32 XML_use_graphics = 1881;
const sal_Int32 XML_use_image_objects = 1882;
const sal_Int32 XML_use_index_marks = 1883;
const sal_Int32 XML_use_index_source_styles = 1884;
const sal_Int32 XML_use_keys_as_entries = 1885;
const sal_Int32 XML_use_label = 1886;
const sal_Int32 XML_use_math_objects = 1887;
const sal_Int32 XML_use_objects = 1888;
const sal_Int32 XML_use_optimal_column_width = 1889;
const sal_Int32 XML_use_optimal_row_height = 1890;
const sal_Int32 XML_use_other_objects = 1891;
const sal_Int32 XML_use_spreadsheet_objects = 1892;
const sal_Int32 XML_use_styles = 1893;
const sal_Int32 XML_use_tables = 1894;
const sal_Int32 XML_use_window_font_color = 1895;
const sal_Int32 XML_used_hierarchy = 1896;
const sal_Int32 XML_user_defined = 1897;
const sal_Int32 XML_user_field_decl = 1898;
const sal_Int32 XML_user_field_decls = 1899;
const sal_Int32 XML_user_field_get = 1900;
const sal_Int32 XML_user_field_input = 1901;
const sal_Int32 XML_user_index = 1902;
const sal_Int32 XML_user_index_entry_template = 1903;
const sal_Int32 XML_user_index_mark = 1904;
const sal_Int32 XML_user_index_mark_end = 1905;
const sal_Int32 XML_user_index_mark_start = 1906;
const sal_Int32 XML_user_index_source = 1907;
const sal_Int32 XML_user_transformed = 1908;
const sal_Int32 XML_username = 1909;
const sal_Int32 XML_value = 1910;
const sal_Int32 XML_value_type = 1911;
const sal_Int32 XML_values_cell_range_address = 1912;
const sal_Int32 XML_var = 1913;
const sal_Int32 XML_variable = 1914;
const sal_Int32 XML_variable_decl = 1915;
const sal_Int32 XML_variable_decls = 1916;
const sal_Int32 XML_variable_get = 1917;
const sal_Int32 XML_variable_input = 1918;
const sal_Int32 XML_variable_set = 1919;
const sal_Int32 XML_variance = 1920;
const sal_Int32 XML_varp = 1921;
const sal_Int32 XML_vector = 1922;
const sal_Int32 XML_verb = 1923;
const sal_Int32 XML_version = 1924;
const sal_Int32 XML_version_entry = 1925;
const sal_Int32 XML_version_list = 1926;
const sal_Int32 XML_vertical = 1927;
const sal_Int32 XML_vertical_align = 1928;
const sal_Int32 XML_vertical_justify = 1929;
const sal_Int32 XML_vertical_lines = 1930;
const sal_Int32 XML_vertical_pos = 1931;
const sal_Int32 XML_vertical_rel = 1932;
const sal_Int32 XML_vertical_segments = 1933;
const sal_Int32 XML_vertical_split_mode = 1934;
const sal_Int32 XML_vertical_split_position = 1935;
const sal_Int32 XML_vertical_stripes = 1936;
const sal_Int32 XML_view = 1937;
const sal_Int32 XML_viewBox = 1938;
const sal_Int32 XML_view_id = 1939;
const sal_Int32 XML_view_settings = 1940;
const sal_Int32 XML_visibility = 1941;
const sal_Int32 XML_visible = 1942;
const sal_Int32 XML_visible_area = 1943;
const sal_Int32 XML_visible_area_height = 1944;
const sal_Int32 XML_visible_area_left = 1945;
const sal_Int32 XML_visible_area_top = 1946;
const sal_Int32 XML_visible_area_width = 1947;
const sal_Int32 XML_visited_style_name = 1948;
const sal_Int32 XML_volatile = 1949;
const sal_Int32 XML_volume = 1950;
const sal_Int32 XML_vpn = 1951;
const sal_Int32 XML_vrp = 1952;
const sal_Int32 XML_vup = 1953;
const sal_Int32 XML_wall = 1954;
const sal_Int32 XML_warning = 1955;
const sal_Int32 XML_watermark = 1956;
const sal_Int32 XML_wavyline = 1957;
const sal_Int32 XML_wavyline_from_bottom = 1958;
const sal_Int32 XML_wavyline_from_left = 1959;
const sal_Int32 XML_wavyline_from_right = 1960;
const sal_Int32 XML_wavyline_from_top = 1961;
const sal_Int32 XML_week_of_year = 1962;
const sal_Int32 XML_WEIGHT_BOLD_DUMMY = 1963;
const sal_Int32 XML_WEIGHT_NORMAL_DUMMY = 1964;
const sal_Int32 XML_white = 1965;
const sal_Int32 XML_whole_page = 1966;
const sal_Int32 XML_widows = 1967;
const sal_Int32 XML_width = 1968;
const sal_Int32 XML_word = 1969;
const sal_Int32 XML_word_count = 1970;
const sal_Int32 XML_wrap = 1971;
const sal_Int32 XML_wrap_contour = 1972;
const sal_Int32 XML_wrap_contour_mode = 1973;
const sal_Int32 XML_wrap_option = 1974;
const sal_Int32 XML_writing_mode = 1975;
const sal_Int32 XML_www = 1976;
const sal_Int32 XML_x = 1977;
const sal_Int32 XML_x1 = 1978;
const sal_Int32 XML_x2 = 1979;
const sal_Int32 XML_x_mac_roman = 1980;
const sal_Int32 XML_x_symbol = 1981;
const sal_Int32 XML_x_system = 1982;
const sal_Int32 XML_xor = 1983;
const sal_Int32 XML_y = 1984;
const sal_Int32 XML_y1 = 1985;
const sal_Int32 XML_y2 = 1986;
const sal_Int32 XML_year = 1987;
const sal_Int32 XML_yellow = 1988;
const sal_Int32 XML_zero_values = 1989;
const sal_Int32 XML_z_index = 1990;
const sal_Int32 XML_zoom_type = 1991;
const sal_Int32 XML_zoom_value = 1992;
const sal_Int32 XML_enable = 1993;
const sal_Int32 XML_use_regular_expressions = 1994;
const sal_Int32 XML_use_wildcards = 1995;
const sal_Int32 XML_data_source_has_labels = 1996;
const sal_Int32 XML_link_data_style_to_source = 1997;
const sal_Int32 XML_sort_algorithm = 1998;
const sal_Int32 XML_straight_line = 1999;
const sal_Int32 XML_angled_line = 2000;
const sal_Int32 XML_angled_connector_line = 2001;
const sal_Int32 XML_APPLICATION_X_WWW_FORM_URLENCODED_DUMMY = 2002;
const sal_Int32 XML_MULTIPART_FORMDATA_DUMMY = 2003;
const sal_Int32 XML_APPLICATION_TEXT_DUMMY = 2004;
const sal_Int32 XML_get = 2005;
const sal_Int32 XML_post = 2006;
const sal_Int32 XML_query = 2007;
const sal_Int32 XML_parent = 2008;
const sal_Int32 XML_records = 2009;
const sal_Int32 XML_push = 2010;
const sal_Int32 XML_submit = 2011;
const sal_Int32 XML_reset = 2012;
const sal_Int32 XML_value_list = 2013;
const sal_Int32 XML_sql = 2014;
const sal_Int32 XML_sql_pass_through = 2015;
const sal_Int32 XML_table_fields = 2016;
const sal_Int32 XML_unchecked = 2017;
const sal_Int32 XML_checked = 2018;
const sal_Int32 XML_unknown = 2019;
const sal_Int32 XML_roll_from_top = 2020;
const sal_Int32 XML_binary_data = 2021;
const sal_Int32 XML_notify_on_update_of_table = 2022;
const sal_Int32 XML_0 = 2023;
const sal_Int32 XML_play = 2024;
const sal_Int32 XML_handout_master = 2025;
const sal_Int32 XML_text_style_name = 2026;
const sal_Int32 XML_escape_direction = 2027;
const sal_Int32 XML_glue_point = 2028;
const sal_Int32 XML_primary_x = 2029;
const sal_Int32 XML_secondary_x = 2030;
const sal_Int32 XML_primary_y = 2031;
const sal_Int32 XML_secondary_y = 2032;
const sal_Int32 XML_primary_z = 2033;
const sal_Int32 XML_caption_type = 2034;
const sal_Int32 XML_caption_angle_type = 2035;
const sal_Int32 XML_caption_angle = 2036;
const sal_Int32 XML_caption_gap = 2037;
const sal_Int32 XML_caption_escape_direction = 2038;
const sal_Int32 XML_caption_escape = 2039;
const sal_Int32 XML_caption_line_length = 2040;
const sal_Int32 XML_caption_fit_line_length = 2041;
const sal_Int32 XML_free = 2042;
const sal_Int32 XML_transition_type = 2043;
const sal_Int32 XML_transition_style = 2044;
const sal_Int32 XML_transition_speed = 2045;
const sal_Int32 XML_duration = 2046;
const sal_Int32 XML_background_size = 2047;
const sal_Int32 XML_background_objects_visible = 2048;
const sal_Int32 XML_background_visible = 2049;
const sal_Int32 XML_move_from_upperleft = 2050;
const sal_Int32 XML_move_from_upperright = 2051;
const sal_Int32 XML_move_from_lowerright = 2052;
const sal_Int32 XML_move_from_lowerleft = 2053;
const sal_Int32 XML_uncover_to_left = 2054;
const sal_Int32 XML_uncover_to_upperleft = 2055;
const sal_Int32 XML_uncover_to_top = 2056;
const sal_Int32 XML_uncover_to_upperright = 2057;
const sal_Int32 XML_uncover_to_right = 2058;
const sal_Int32 XML_uncover_to_lowerright = 2059;
const sal_Int32 XML_uncover_to_bottom = 2060;
const sal_Int32 XML_uncover_to_lowerleft = 2061;
const sal_Int32 XML_vertical_checkerboard = 2062;
const sal_Int32 XML_horizontal_checkerboard = 2063;
const sal_Int32 XML_notify_on_update_of_ranges = 2064;
const sal_Int32 XML_byte = 2065;
const sal_Int32 XML_macro = 2066;
const sal_Int32 XML_location = 2067;
const sal_Int32 XML_application = 2068;
const sal_Int32 XML_symbol_image = 2069;
const sal_Int32 XML_text_overlap = 2070;
const sal_Int32 XML_spline_order = 2071;
const sal_Int32 XML_spline_resolution = 2072;
const sal_Int32 XML_paper_tray_name = 2073;
const sal_Int32 XML_column_mapping = 2074;
const sal_Int32 XML_row_mapping = 2075;
const sal_Int32 XML_table_formula = 2076;
const sal_Int32 XML_embedded_text = 2077;
const sal_Int32 XML_merge_last_paragraph = 2078;
const sal_Int32 XML_stock_loss_marker = 2079;
const sal_Int32 XML_stock_gain_marker = 2080;
const sal_Int32 XML_stock_range_line = 2081;
const sal_Int32 XML_rl_tb = 2082;
const sal_Int32 XML_tb_lr = 2083;
const sal_Int32 XML_lr = 2084;
const sal_Int32 XML_rl = 2085;
const sal_Int32 XML_tb = 2086;
const sal_Int32 XML_layout_grid_color = 2087;
const sal_Int32 XML_layout_grid_lines = 2088;
const sal_Int32 XML_layout_grid_base_height = 2089;
const sal_Int32 XML_layout_grid_ruby_height = 2090;
const sal_Int32 XML_layout_grid_mode = 2091;
const sal_Int32 XML_layout_grid_ruby_below = 2092;
const sal_Int32 XML_layout_grid_print = 2093;
const sal_Int32 XML_layout_grid_display = 2094;
const sal_Int32 XML_default_page_layout = 2095;
const sal_Int32 XML_layout_grid_standard_mode = 2096;
const sal_Int32 XML_layout_grid_base_width = 2097;
const sal_Int32 XML_layout_grid_snap_to_characters = 2098;
const sal_Int32 XML_layout_grid_snap_to = 2099;
const sal_Int32 XML_snap_to_layout_grid = 2100;
const sal_Int32 XML_dont_balance_text_columns = 2101;
const sal_Int32 XML_glyph_orientation_vertical = 2102;
const sal_Int32 XML_marked_invalid = 2103;
const sal_Int32 XML_regression_curve = 2104;
const sal_Int32 XML_regression_type = 2105;
const sal_Int32 XML_regression_name = 2106;
const sal_Int32 XML_regression_extrapolate_forward = 2107;
const sal_Int32 XML_regression_extrapolate_backward = 2108;
const sal_Int32 XML_regression_max_degree = 2109;
const sal_Int32 XML_regression_min_degree = 2110;
const sal_Int32 XML_regression_moving_type = 2111;
const sal_Int32 XML_regression_period = 2112;
const sal_Int32 XML_regression_force_intercept = 2113;
const sal_Int32 XML_regression_intercept_value = 2114;
const sal_Int32 XML_regression_x_name = 2115;
const sal_Int32 XML_regression_y_name = 2116;
const sal_Int32 XML_error_indicator = 2117;
const sal_Int32 XML_table_type = 2118;
const sal_Int32 XML_display_factor = 2119;
const sal_Int32 XML_transliteration_format = 2120;
const sal_Int32 XML_transliteration_language = 2121;
const sal_Int32 XML_transliteration_country = 2122;
const sal_Int32 XML_transliteration_style = 2123;
const sal_Int32 XML_key1_phonetic = 2124;
const sal_Int32 XML_key2_phonetic = 2125;
const sal_Int32 XML_string_value_phonetic = 2126;
const sal_Int32 XML_background_transparency = 2127;
const sal_Int32 XML_background_image_transparency = 2128;
const sal_Int32 XML_dynamic_spacing = 2129;
const sal_Int32 XML_main_entry = 2130;
const sal_Int32 XML_use_outline_level = 2131;
const sal_Int32 XML_close_front = 2132;
const sal_Int32 XML_close_back = 2133;
const sal_Int32 XML_drop_down = 2134;
const sal_Int32 XML_current_selected = 2135;
const sal_Int32 XML_join_border = 2136;
const sal_Int32 XML_display_list = 2137;
const sal_Int32 XML_no = 2138;
const sal_Int32 XML_unsorted = 2139;
const sal_Int32 XML_font_independent_line_spacing = 2140;
const sal_Int32 XML_sorted_ascending = 2141;
const sal_Int32 XML_database = 2142;
const sal_Int32 XML_data_source = 2143;
const sal_Int32 XML_queries = 2144;
const sal_Int32 XML_reports = 2145;
const sal_Int32 XML_report = 2146;
const sal_Int32 XML_as_template = 2147;
const sal_Int32 XML_connection_resource = 2148;
const sal_Int32 XML_suppress_version_columns = 2149;
const sal_Int32 XML_java_driver_class = 2150;
const sal_Int32 XML_extension = 2151;
const sal_Int32 XML_is_first_row_header_line = 2152;
const sal_Int32 XML_show_deleted = 2153;
const sal_Int32 XML_is_table_name_length_limited = 2154;
const sal_Int32 XML_system_driver_settings = 2155;
const sal_Int32 XML_enable_sql92_check = 2156;
const sal_Int32 XML_append_table_alias_name = 2157;
const sal_Int32 XML_parameter_name_substitution = 2158;
const sal_Int32 XML_ignore_driver_privileges = 2159;
const sal_Int32 XML_boolean_comparison_mode = 2160;
const sal_Int32 XML_use_catalog = 2161;
const sal_Int32 XML_base_dn = 2162;
const sal_Int32 XML_max_row_count = 2163;
const sal_Int32 XML_login = 2164;
const sal_Int32 XML_user_name = 2165;
const sal_Int32 XML_is_password_required = 2166;
const sal_Int32 XML_login_timeout = 2167;
const sal_Int32 XML_delimiter = 2168;
const sal_Int32 XML_field = 2169;
const sal_Int32 XML_decimal = 2170;
const sal_Int32 XML_thousand = 2171;
const sal_Int32 XML_table_filter = 2172;
const sal_Int32 XML_table_filter_pattern = 2173;
const sal_Int32 XML_table_type_filter = 2174;
const sal_Int32 XML_auto_increment = 2175;
const sal_Int32 XML_additional_column_statement = 2176;
const sal_Int32 XML_row_retrieving_statement = 2177;
const sal_Int32 XML_data_source_settings = 2178;
const sal_Int32 XML_data_source_setting = 2179;
const sal_Int32 XML_data_source_setting_value = 2180;
const sal_Int32 XML_data_source_setting_is_list = 2181;
const sal_Int32 XML_data_source_setting_type = 2182;
const sal_Int32 XML_data_source_setting_name = 2183;
const sal_Int32 XML_component = 2184;
const sal_Int32 XML_component_collection = 2185;
const sal_Int32 XML_query_collection = 2186;
const sal_Int32 XML_update_table = 2187;
const sal_Int32 XML_filter_statement = 2188;
const sal_Int32 XML_order_statement = 2189;
const sal_Int32 XML_escape_processing = 2190;
const sal_Int32 XML_keys = 2191;
const sal_Int32 XML_indices = 2192;
const sal_Int32 XML_type_name = 2193;
const sal_Int32 XML_precision = 2194;
const sal_Int32 XML_is_nullable = 2195;
const sal_Int32 XML_is_autoincrement = 2196;
const sal_Int32 XML_default_value = 2197;
const sal_Int32 XML_referenced_table_name = 2198;
const sal_Int32 XML_update_rule = 2199;
const sal_Int32 XML_delete_rule = 2200;
const sal_Int32 XML_key_columns = 2201;
const sal_Int32 XML_key_column = 2202;
const sal_Int32 XML_related_column_name = 2203;
const sal_Int32 XML_catalog_name = 2204;
const sal_Int32 XML_is_unique = 2205;
const sal_Int32 XML_is_clustered = 2206;
const sal_Int32 XML_index_columns = 2207;
const sal_Int32 XML_index_column = 2208;
const sal_Int32 XML_is_ascending = 2209;
const sal_Int32 XML_schema_name = 2210;
const sal_Int32 XML_db = 2211;
const sal_Int32 XML_N_DB_DUMMY = 2212;
const sal_Int32 XML_apply_filter = 2213;
const sal_Int32 XML_apply_order = 2214;
const sal_Int32 XML_automatic_print_range = 2215;
const sal_Int32 XML_selection = 2216;
const sal_Int32 XML_selection_indexes = 2217;
const sal_Int32 XML_scale_to_X = 2218;
const sal_Int32 XML_scale_to_Y = 2219;
const sal_Int32 XML_keep_together = 2220;
const sal_Int32 XML_use_header_name = 2221;
const sal_Int32 XML_use_footer_name = 2222;
const sal_Int32 XML_use_date_time_name = 2223;
const sal_Int32 XML_display_header = 2224;
const sal_Int32 XML_display_footer = 2225;
const sal_Int32 XML_display_page_number = 2226;
const sal_Int32 XML_display_date_time = 2227;
const sal_Int32 XML_source = 2228;
const sal_Int32 XML_current_date = 2229;
const sal_Int32 XML_header_decl = 2230;
const sal_Int32 XML_footer_decl = 2231;
const sal_Int32 XML_date_time_decl = 2232;
const sal_Int32 XML_selected_page = 2233;
const sal_Int32 XML_flow_with_text = 2234;
const sal_Int32 XML_with_tab = 2235;
const sal_Int32 XML_custom_shape = 2236;
const sal_Int32 XML_engine = 2237;
const sal_Int32 XML_enhanced_geometry = 2238;
const sal_Int32 XML_text_rotate_angle = 2239;
const sal_Int32 XML_mirror_vertical = 2240;
const sal_Int32 XML_mirror_horizontal = 2241;
const sal_Int32 XML_extrusion_allowed = 2242;
const sal_Int32 XML_text_path_allowed = 2243;
const sal_Int32 XML_concentric_gradient_fill_allowed = 2244;
const sal_Int32 XML_extrusion = 2245;
const sal_Int32 XML_extrusion_brightness = 2246;
const sal_Int32 XML_extrusion_depth = 2247;
const sal_Int32 XML_extrusion_diffusion = 2248;
const sal_Int32 XML_extrusion_number_of_line_segments = 2249;
const sal_Int32 XML_extrusion_light_face = 2250;
const sal_Int32 XML_extrusion_first_light_harsh = 2251;
const sal_Int32 XML_extrusion_second_light_harsh = 2252;
const sal_Int32 XML_extrusion_first_light_level = 2253;
const sal_Int32 XML_extrusion_second_light_level = 2254;
const sal_Int32 XML_extrusion_first_light_direction = 2255;
const sal_Int32 XML_extrusion_second_light_direction = 2256;
const sal_Int32 XML_extrusion_metal = 2257;
const sal_Int32 XML_extrusion_rotation_angle = 2258;
const sal_Int32 XML_extrusion_rotation_center = 2259;
const sal_Int32 XML_extrusion_shininess = 2260;
const sal_Int32 XML_extrusion_skew = 2261;
const sal_Int32 XML_extrusion_specularity = 2262;
const sal_Int32 XML_extrusion_projection_mode = 2263;
const sal_Int32 XML_extrusion_viewpoint = 2264;
const sal_Int32 XML_extrusion_origin = 2265;
const sal_Int32 XML_extrusion_color = 2266;
const sal_Int32 XML_secondary_fill_color = 2267;
const sal_Int32 XML_enhanced_path = 2268;
const sal_Int32 XML_path_stretchpoint_x = 2269;
const sal_Int32 XML_path_stretchpoint_y = 2270;
const sal_Int32 XML_text_areas = 2271;
const sal_Int32 XML_glue_points = 2272;
const sal_Int32 XML_glue_point_type = 2273;
const sal_Int32 XML_glue_point_leaving_direction = 2274;
const sal_Int32 XML_text_path = 2275;
const sal_Int32 XML_text_path_mode = 2276;
const sal_Int32 XML_text_path_scale = 2277;
const sal_Int32 XML_text_path_same_letter_heights = 2278;
const sal_Int32 XML_modifiers = 2279;
const sal_Int32 XML_equation = 2280;
const sal_Int32 XML_xstretch = 2281;
const sal_Int32 XML_ystretch = 2282;
const sal_Int32 XML_hasstroke = 2283;
const sal_Int32 XML_hasfill = 2284;
const sal_Int32 XML_logwidth = 2285;
const sal_Int32 XML_logheight = 2286;
const sal_Int32 XML_handle = 2287;
const sal_Int32 XML_handle_mirror_vertical = 2288;
const sal_Int32 XML_handle_mirror_horizontal = 2289;
const sal_Int32 XML_handle_switched = 2290;
const sal_Int32 XML_handle_position = 2291;
const sal_Int32 XML_handle_range_x_minimum = 2292;
const sal_Int32 XML_handle_range_x_maximum = 2293;
const sal_Int32 XML_handle_range_y_minimum = 2294;
const sal_Int32 XML_handle_range_y_maximum = 2295;
const sal_Int32 XML_handle_polar = 2296;
const sal_Int32 XML_handle_radius_range_minimum = 2297;
const sal_Int32 XML_handle_radius_range_maximum = 2298;
const sal_Int32 XML_rectangle = 2299;
const sal_Int32 XML_roundrectangle = 2300;
const sal_Int32 XML_oval = 2301;
const sal_Int32 XML_cloud = 2302;
const sal_Int32 XML_boundingcube = 2303;
const sal_Int32 XML_wireframe = 2304;
const sal_Int32 XML_segments = 2305;
const sal_Int32 XML_word_wrap = 2306;
const sal_Int32 XML_collapsing = 2307;
const sal_Int32 XML_separating = 2308;
const sal_Int32 XML_border_model = 2309;
const sal_Int32 XML_data_pilot_field_reference = 2310;
const sal_Int32 XML_member_difference = 2311;
const sal_Int32 XML_member_percentage = 2312;
const sal_Int32 XML_member_percentage_difference = 2313;
const sal_Int32 XML_running_total = 2314;
const sal_Int32 XML_row_percentage = 2315;
const sal_Int32 XML_column_percentage = 2316;
const sal_Int32 XML_total_percentage = 2317;
const sal_Int32 XML_field_name = 2318;
const sal_Int32 XML_member_type = 2319;
const sal_Int32 XML_named = 2320;
const sal_Int32 XML_member_name = 2321;
const sal_Int32 XML_display_member_mode = 2322;
const sal_Int32 XML_member_count = 2323;
const sal_Int32 XML_data_field = 2324;
const sal_Int32 XML_data_pilot_display_info = 2325;
const sal_Int32 XML_sort_mode = 2326;
const sal_Int32 XML_data_pilot_sort_info = 2327;
const sal_Int32 XML_add_empty_lines = 2328;
const sal_Int32 XML_tabular_layout = 2329;
const sal_Int32 XML_outline_subtotals_top = 2330;
const sal_Int32 XML_outline_subtotals_bottom = 2331;
const sal_Int32 XML_layout_mode = 2332;
const sal_Int32 XML_data_pilot_layout_info = 2333;
const sal_Int32 XML_symbol_color = 2334;
const sal_Int32 XML_3d = 2335;
const sal_Int32 XML_image_position = 2336;
const sal_Int32 XML_image_align = 2337;
const sal_Int32 XML_diagonal_bl_tr = 2338;
const sal_Int32 XML_diagonal_bl_tr_width = 2339;
const sal_Int32 XML_diagonal_tl_br = 2340;
const sal_Int32 XML_diagonal_tl_br_width = 2341;
const sal_Int32 XML_repeat_content = 2342;
const sal_Int32 XML_shrink_to_fit = 2343;
const sal_Int32 XML_wrap_influence_on_position = 2344;
const sal_Int32 XML_once_successive = 2345;
const sal_Int32 XML_once_concurrent = 2346;
const sal_Int32 XML_N_OFFICE_OOO_DUMMY = 2347;
const sal_Int32 XML_N_META_OOO_DUMMY = 2348;
const sal_Int32 XML_N_STYLE_OOO_DUMMY = 2349;
const sal_Int32 XML_N_NUMBER_OOO_DUMMY = 2350;
const sal_Int32 XML_N_TEXT_OOO_DUMMY = 2351;
const sal_Int32 XML_N_TABLE_OOO_DUMMY = 2352;
const sal_Int32 XML_N_DRAW_OOO_DUMMY = 2353;
const sal_Int32 XML_N_DR3D_OOO_DUMMY = 2354;
const sal_Int32 XML_N_PRESENTATION_OOO_DUMMY = 2355;
const sal_Int32 XML_N_CHART_OOO_DUMMY = 2356;
const sal_Int32 XML_N_CONFIG_OOO_DUMMY = 2357;
const sal_Int32 XML_N_FORM_OOO_DUMMY = 2358;
const sal_Int32 XML_N_SCRIPT_OOO_DUMMY = 2359;
const sal_Int32 XML_global = 2360;
const sal_Int32 XML_note_class = 2361;
const sal_Int32 XML_note_citation = 2362;
const sal_Int32 XML_note_body = 2363;
const sal_Int32 XML_notes_configuration = 2364;
const sal_Int32 XML_note_ref = 2365;
const sal_Int32 XML_is_sub_table = 2366;
const sal_Int32 XML_page_layout = 2367;
const sal_Int32 XML_page_layout_name = 2368;
const sal_Int32 XML_graphic_properties = 2369;
const sal_Int32 XML_drawing_page_properties = 2370;
const sal_Int32 XML_page_layout_properties = 2371;
const sal_Int32 XML_header_footer_properties = 2372;
const sal_Int32 XML_text_properties = 2373;
const sal_Int32 XML_paragraph_properties = 2374;
const sal_Int32 XML_ruby_properties = 2375;
const sal_Int32 XML_section_properties = 2376;
const sal_Int32 XML_table_properties = 2377;
const sal_Int32 XML_table_column_properties = 2378;
const sal_Int32 XML_table_row_properties = 2379;
const sal_Int32 XML_table_cell_properties = 2380;
const sal_Int32 XML_list_level_properties = 2381;
const sal_Int32 XML_chart_properties = 2382;
const sal_Int32 XML_drawing_page = 2383;
const sal_Int32 XML_graphics = 2384;
const sal_Int32 XML_tab = 2385;
const sal_Int32 XML_text_underline_mode = 2386;
const sal_Int32 XML_text_line_through_mode = 2387;
const sal_Int32 XML_continuous = 2388;
const sal_Int32 XML_skip_white_space = 2389;
const sal_Int32 XML_scripts = 2390;
const sal_Int32 XML_font_face_decls = 2391;
const sal_Int32 XML_font_face = 2392;
const sal_Int32 XML_font_face_src = 2393;
const sal_Int32 XML_font_face_uri = 2394;
const sal_Int32 XML_font_face_format = 2395;
const sal_Int32 XML_font_adornments = 2396;
const sal_Int32 XML_inch = 2397;
const sal_Int32 XML_space_after = 2398;
const sal_Int32 XML_start_indent = 2399;
const sal_Int32 XML_end_indent = 2400;
const sal_Int32 XML_interval_minor_divisor = 2401;
const sal_Int32 XML_date_string = 2402;
const sal_Int32 XML_text_underline_style = 2403;
const sal_Int32 XML_text_underline_type = 2404;
const sal_Int32 XML_text_underline_width = 2405;
const sal_Int32 XML_text_overline_type = 2406;
const sal_Int32 XML_text_overline_style = 2407;
const sal_Int32 XML_text_overline_width = 2408;
const sal_Int32 XML_text_overline_color = 2409;
const sal_Int32 XML_text_overline_mode = 2410;
const sal_Int32 XML_text_line_through_style = 2411;
const sal_Int32 XML_text_line_through_type = 2412;
const sal_Int32 XML_text_line_through_width = 2413;
const sal_Int32 XML_text_line_through_text = 2414;
const sal_Int32 XML_leader_style = 2415;
const sal_Int32 XML_leader_text = 2416;
const sal_Int32 XML_bold_dotted = 2417;
const sal_Int32 XML_bold_dash = 2418;
const sal_Int32 XML_bold_long_dash = 2419;
const sal_Int32 XML_bold_dot_dash = 2420;
const sal_Int32 XML_bold_dot_dot_dash = 2421;
const sal_Int32 XML_bold_wave = 2422;
const sal_Int32 XML_double_wave = 2423;
const sal_Int32 XML_double_line = 2424;
const sal_Int32 XML_thick_line = 2425;
const sal_Int32 XML_single_line = 2426;
const sal_Int32 XML_slash = 2427;
const sal_Int32 XML_text_line_through_color = 2428;
const sal_Int32 XML_text_line_through_text_style = 2429;
const sal_Int32 XML_leader_color = 2430;
const sal_Int32 XML_leader_type = 2431;
const sal_Int32 XML_leader_width = 2432;
const sal_Int32 XML_leader_text_style = 2433;
const sal_Int32 XML_opacity = 2434;
const sal_Int32 XML_opacity_name = 2435;
const sal_Int32 XML_shadow_opacity = 2436;
const sal_Int32 XML_always = 2437;
const sal_Int32 XML_count_in_text_boxes = 2438;
const sal_Int32 XML_ooo = 2439;
const sal_Int32 XML_N_OOO_DUMMY = 2440;
const sal_Int32 XML_ooow = 2441;
const sal_Int32 XML_N_OOOW_DUMMY = 2442;
const sal_Int32 XML_oooc = 2443;
const sal_Int32 XML_N_OOOC_DUMMY = 2444;
const sal_Int32 XML_dom = 2445;
const sal_Int32 XML_N_DOM_DUMMY = 2446;
const sal_Int32 XML_event_listeners = 2447;
const sal_Int32 XML_event_listener = 2448;
const sal_Int32 XML_form = 2449;
const sal_Int32 XML_void = 2450;
const sal_Int32 XML_property = 2451;
const sal_Int32 XML_property_name = 2452;
const sal_Int32 XML_list_property = 2453;
const sal_Int32 XML_list_value = 2454;
const sal_Int32 XML_column_style_name = 2455;
const sal_Int32 XML_textarea = 2456;
const sal_Int32 XML_fixed_text = 2457;
const sal_Int32 XML_file = 2458;
const sal_Int32 XML_formatted_text = 2459;
const sal_Int32 XML_button = 2460;
const sal_Int32 XML_checkbox = 2461;
const sal_Int32 XML_radio = 2462;
const sal_Int32 XML_listbox = 2463;
const sal_Int32 XML_combobox = 2464;
const sal_Int32 XML_image_frame = 2465;
const sal_Int32 XML_value_range = 2466;
const sal_Int32 XML_generic_control = 2467;
const sal_Int32 XML_service_name = 2468;
const sal_Int32 XML_property_type = 2469;
const sal_Int32 XML_integer = 2470;
const sal_Int32 XML_property_is_void = 2471;
const sal_Int32 XML_property_is_list = 2472;
const sal_Int32 XML_property_value = 2473;
const sal_Int32 XML_mimetype = 2474;
const sal_Int32 XML_database_row_select = 2475;
const sal_Int32 XML_control_implementation = 2476;
const sal_Int32 XML_interpolation = 2477;
const sal_Int32 XML_cubic_spline = 2478;
const sal_Int32 XML_b_spline = 2479;
const sal_Int32 XML_step_start = 2480;
const sal_Int32 XML_step_end = 2481;
const sal_Int32 XML_step_center_x = 2482;
const sal_Int32 XML_step_center_y = 2483;
const sal_Int32 XML_GNM_STEP_START_DUMMY = 2484;
const sal_Int32 XML_GNM_STEP_END_DUMMY = 2485;
const sal_Int32 XML_GNM_STEP_CENTER_X_DUMMY = 2486;
const sal_Int32 XML_GNM_STEP_CENTER_Y_DUMMY = 2487;
const sal_Int32 XML_N_DB_OASIS_DUMMY = 2488;
const sal_Int32 XML_show_filter_button = 2489;
const sal_Int32 XML_drill_down_on_double_click = 2490;
const sal_Int32 XML_header_grid_layout = 2491;
const sal_Int32 XML_grouped_by = 2492;
const sal_Int32 XML_days = 2493;
const sal_Int32 XML_months = 2494;
const sal_Int32 XML_quarters = 2495;
const sal_Int32 XML_years = 2496;
const sal_Int32 XML_date_start = 2497;
const sal_Int32 XML_date_end = 2498;
const sal_Int32 XML_step = 2499;
const sal_Int32 XML_data_pilot_groups = 2500;
const sal_Int32 XML_data_pilot_group = 2501;
const sal_Int32 XML_data_pilot_group_member = 2502;
const sal_Int32 XML_japanese_candle_stick = 2503;
const sal_Int32 XML_named_symbol = 2504;
const sal_Int32 XML_diamond = 2505;
const sal_Int32 XML_arrow_down = 2506;
const sal_Int32 XML_arrow_up = 2507;
const sal_Int32 XML_arrow_right = 2508;
const sal_Int32 XML_arrow_left = 2509;
const sal_Int32 XML_bow_tie = 2510;
const sal_Int32 XML_hourglass = 2511;
const sal_Int32 XML_symbol_name = 2512;
const sal_Int32 XML_symbol_type = 2513;
const sal_Int32 XML_image_opacity = 2514;
const sal_Int32 XML_default_outline_level = 2515;
const sal_Int32 XML_show_details = 2516;
const sal_Int32 XML_show_empty = 2517;
const sal_Int32 XML_repeat_item_labels = 2518;
const sal_Int32 XML_iterative = 2519;
const sal_Int32 XML_X = 2520;
const sal_Int32 XML_dlg = 2521;
const sal_Int32 XML_N_DLG_DUMMY = 2522;
const sal_Int32 XML_script_data = 2523;
const sal_Int32 XML_libraries = 2524;
const sal_Int32 XML_source_code = 2525;
const sal_Int32 XML_readonly = 2526;
const sal_Int32 XML_z = 2527;
const sal_Int32 XML_dimension = 2528;
const sal_Int32 XML_validation_name = 2529;
const sal_Int32 XML_screen = 2530;
const sal_Int32 XML_printer = 2531;
const sal_Int32 XML_model = 2532;
const sal_Int32 XML_schema = 2533;
const sal_Int32 XML_bind = 2534;
const sal_Int32 XML_instance = 2535;
const sal_Int32 XML_submission = 2536;
const sal_Int32 XML_ref = 2537;
const sal_Int32 XML_src = 2538;
const sal_Int32 XML_method = 2539;
const sal_Int32 XML_nodeset = 2540;
const sal_Int32 XML_indent = 2541;
const sal_Int32 XML_omit_xml_declaration = 2542;
const sal_Int32 XML_standalone = 2543;
const sal_Int32 XML_cdata_section_elements = 2544;
const sal_Int32 XML_required = 2545;
const sal_Int32 XML_relevant = 2546;
const sal_Int32 XML_calculate = 2547;
const sal_Int32 XML_constraint = 2548;
const sal_Int32 XML_maxOccurs = 2549;
const sal_Int32 XML_minOccurs = 2550;
const sal_Int32 XML_p3ptype = 2551;
const sal_Int32 XML_mediatype = 2552;
const sal_Int32 XML_includenamespaceprefixes = 2553;
const sal_Int32 XML_base = 2554;
const sal_Int32 XML_targetNamespace = 2555;
const sal_Int32 XML_simpleType = 2556;
const sal_Int32 XML_restriction = 2557;
const sal_Int32 XML_maxLength = 2558;
const sal_Int32 XML_minLength = 2559;
const sal_Int32 XML_minInclusive = 2560;
const sal_Int32 XML_minExclusive = 2561;
const sal_Int32 XML_maxInclusive = 2562;
const sal_Int32 XML_maxExclusive = 2563;
const sal_Int32 XML_pattern = 2564;
const sal_Int32 XML_enumeration = 2565;
const sal_Int32 XML_whiteSpace = 2566;
const sal_Int32 XML_totalDigits = 2567;
const sal_Int32 XML_fractionDigits = 2568;
const sal_Int32 XML_preserve = 2569;
const sal_Int32 XML_anyURI = 2570;
const sal_Int32 XML_dateTime = 2571;
const sal_Int32 XML_main_etry = 2572;
const sal_Int32 XML_remove = 2573;
const sal_Int32 XML_hold = 2574;
const sal_Int32 XML_transition = 2575;
const sal_Int32 XML_inherit = 2576;
const sal_Int32 XML_fillDefault = 2577;
const sal_Int32 XML_restart = 2578;
const sal_Int32 XML_restartDefault = 2579;
const sal_Int32 XML_whenNotActive = 2580;
const sal_Int32 XML_never = 2581;
const sal_Int32 XML_accelerate = 2582;
const sal_Int32 XML_decelerate = 2583;
const sal_Int32 XML_autoReverse = 2584;
const sal_Int32 XML_indefinite = 2585;
const sal_Int32 XML_repeatCount = 2586;
const sal_Int32 XML_repeatDur = 2587;
const sal_Int32 XML_endsync = 2588;
const sal_Int32 XML_first = 2589;
const sal_Int32 XML_last = 2590;
const sal_Int32 XML_media = 2591;
const sal_Int32 XML_dur = 2592;
const sal_Int32 XML_begin = 2593;
const sal_Int32 XML_whole = 2594;
const sal_Int32 XML_from = 2595;
const sal_Int32 XML_to = 2596;
const sal_Int32 XML_by = 2597;
const sal_Int32 XML_values = 2598;
const sal_Int32 XML_keyTimes = 2599;
const sal_Int32 XML_keySplines = 2600;
const sal_Int32 XML_calcMode = 2601;
const sal_Int32 XML_discrete = 2602;
const sal_Int32 XML_paced = 2603;
const sal_Int32 XML_spline = 2604;
const sal_Int32 XML_accumulate = 2605;
const sal_Int32 XML_additive = 2606;
const sal_Int32 XML_multiply = 2607;
const sal_Int32 XML_animate = 2608;
const sal_Int32 XML_animateMotion = 2609;
const sal_Int32 XML_animateTransform = 2610;
const sal_Int32 XML_animateColor = 2611;
const sal_Int32 XML_transitionFilter = 2612;
const sal_Int32 XML_attributeName = 2613;
const sal_Int32 XML_smil = 2614;
const sal_Int32 XML_N_SMIL_DUMMY = 2615;
const sal_Int32 XML_anim = 2616;
const sal_Int32 XML_N_ANIMATION_DUMMY = 2617;
const sal_Int32 XML_par = 2618;
const sal_Int32 XML_seq = 2619;
const sal_Int32 XML_translate = 2620;
const sal_Int32 XML_skewX = 2621;
const sal_Int32 XML_skewY = 2622;
const sal_Int32 XML_audio = 2623;
const sal_Int32 XML_color_interpolation = 2624;
const sal_Int32 XML_color_interpolation_direction = 2625;
const sal_Int32 XML_hsl = 2626;
const sal_Int32 XML_rgb = 2627;
const sal_Int32 XML_barWipe = 2628;
const sal_Int32 XML_boxWipe = 2629;
const sal_Int32 XML_fourBoxWipe = 2630;
const sal_Int32 XML_barnDoorWipe = 2631;
const sal_Int32 XML_diagonalWipe = 2632;
const sal_Int32 XML_bowTieWipe = 2633;
const sal_Int32 XML_miscDiagonalWipe = 2634;
const sal_Int32 XML_veeWipe = 2635;
const sal_Int32 XML_barnVeeWipe = 2636;
const sal_Int32 XML_zigZagWipe = 2637;
const sal_Int32 XML_barnZigZagWipe = 2638;
const sal_Int32 XML_irisWipe = 2639;
const sal_Int32 XML_triangleWipe = 2640;
const sal_Int32 XML_arrowHeadWipe = 2641;
const sal_Int32 XML_pentagonWipe = 2642;
const sal_Int32 XML_hexagonWipe = 2643;
const sal_Int32 XML_ellipseWipe = 2644;
const sal_Int32 XML_eyeWipe = 2645;
const sal_Int32 XML_roundRectWipe = 2646;
const sal_Int32 XML_starWipe = 2647;
const sal_Int32 XML_miscShapeWipe = 2648;
const sal_Int32 XML_clockWipe = 2649;
const sal_Int32 XML_pinWheelWipe = 2650;
const sal_Int32 XML_singleSweepWipe = 2651;
const sal_Int32 XML_fanWipe = 2652;
const sal_Int32 XML_doubleFanWipe = 2653;
const sal_Int32 XML_doubleSweepWipe = 2654;
const sal_Int32 XML_saloonDoorWipe = 2655;
const sal_Int32 XML_windshieldWipe = 2656;
const sal_Int32 XML_snakeWipe = 2657;
const sal_Int32 XML_spiralWipe = 2658;
const sal_Int32 XML_parallelSnakesWipe = 2659;
const sal_Int32 XML_boxSnakesWipe = 2660;
const sal_Int32 XML_waterfallWipe = 2661;
const sal_Int32 XML_pushWipe = 2662;
const sal_Int32 XML_slideWipe = 2663;
const sal_Int32 XML_blindsWipe = 2664;
const sal_Int32 XML_randomBarWipe = 2665;
const sal_Int32 XML_checkerBoardWipe = 2666;
const sal_Int32 XML_zoom = 2667;
const sal_Int32 XML_leftToRight = 2668;
const sal_Int32 XML_topToBottom = 2669;
const sal_Int32 XML_topLeft = 2670;
const sal_Int32 XML_topRight = 2671;
const sal_Int32 XML_bottomRight = 2672;
const sal_Int32 XML_bottomLeft = 2673;
const sal_Int32 XML_topCenter = 2674;
const sal_Int32 XML_rightCenter = 2675;
const sal_Int32 XML_bottomCenter = 2676;
const sal_Int32 XML_leftCenter = 2677;
const sal_Int32 XML_cornersIn = 2678;
const sal_Int32 XML_cornersOut = 2679;
const sal_Int32 XML_diagonalBottomLeft = 2680;
const sal_Int32 XML_diagonalTopLeft = 2681;
const sal_Int32 XML_doubleBarnDoor = 2682;
const sal_Int32 XML_doubleDiamond = 2683;
const sal_Int32 XML_fourPoint = 2684;
const sal_Int32 XML_fivePoint = 2685;
const sal_Int32 XML_sixPoint = 2686;
const sal_Int32 XML_heart = 2687;
const sal_Int32 XML_keyhole = 2688;
const sal_Int32 XML_clockwiseTwelve = 2689;
const sal_Int32 XML_clockwiseThree = 2690;
const sal_Int32 XML_clockwiseSix = 2691;
const sal_Int32 XML_clockwiseNine = 2692;
const sal_Int32 XML_twoBladeVertical = 2693;
const sal_Int32 XML_twoBladeHorizontal = 2694;
const sal_Int32 XML_fourBlade = 2695;
const sal_Int32 XML_clockwiseTop = 2696;
const sal_Int32 XML_clockwiseRight = 2697;
const sal_Int32 XML_clockwiseBottom = 2698;
const sal_Int32 XML_clockwiseLeft = 2699;
const sal_Int32 XML_clockwiseTopLeft = 2700;
const sal_Int32 XML_counterClockwiseBottomLeft = 2701;
const sal_Int32 XML_clockwiseBottomRight = 2702;
const sal_Int32 XML_counterClockwiseTopRight = 2703;
const sal_Int32 XML_centerTop = 2704;
const sal_Int32 XML_centerRight = 2705;
const sal_Int32 XML_fanOutVertical = 2706;
const sal_Int32 XML_fanOutHorizontal = 2707;
const sal_Int32 XML_fanInVertical = 2708;
const sal_Int32 XML_fanInHorizontal = 2709;
const sal_Int32 XML_parallelVertical = 2710;
const sal_Int32 XML_parallelDiagonal = 2711;
const sal_Int32 XML_oppositeVertical = 2712;
const sal_Int32 XML_oppositeHorizontal = 2713;
const sal_Int32 XML_parallelDiagonalTopLeft = 2714;
const sal_Int32 XML_parallelDiagonalBottomLeft = 2715;
const sal_Int32 XML_topLeftHorizontal = 2716;
const sal_Int32 XML_topLeftDiagonal = 2717;
const sal_Int32 XML_topLeftVertical = 2718;
const sal_Int32 XML_topRightDiagonal = 2719;
const sal_Int32 XML_bottomRightDiagonal = 2720;
const sal_Int32 XML_bottomLeftDiagonal = 2721;
const sal_Int32 XML_topLeftClockwise = 2722;
const sal_Int32 XML_topRightClockwise = 2723;
const sal_Int32 XML_bottomRightClockwise = 2724;
const sal_Int32 XML_bottomLeftClockwise = 2725;
const sal_Int32 XML_topLeftCounterClockwise = 2726;
const sal_Int32 XML_topRightCounterClockwise = 2727;
const sal_Int32 XML_bottomRightCounterClockwise = 2728;
const sal_Int32 XML_bottomLeftCounterClockwise = 2729;
const sal_Int32 XML_verticalTopSame = 2730;
const sal_Int32 XML_verticalBottomSame = 2731;
const sal_Int32 XML_verticalTopLeftOpposite = 2732;
const sal_Int32 XML_verticalBottomLeftOpposite = 2733;
const sal_Int32 XML_horizontalLeftSame = 2734;
const sal_Int32 XML_horizontalRightSame = 2735;
const sal_Int32 XML_horizontalTopLeftOpposite = 2736;
const sal_Int32 XML_horizontalTopRightOpposite = 2737;
const sal_Int32 XML_diagonalBottomLeftOpposite = 2738;
const sal_Int32 XML_diagonalTopLeftOpposite = 2739;
const sal_Int32 XML_twoBoxTop = 2740;
const sal_Int32 XML_twoBoxBottom = 2741;
const sal_Int32 XML_twoBoxLeft = 2742;
const sal_Int32 XML_twoBoxRight = 2743;
const sal_Int32 XML_fourBoxVertical = 2744;
const sal_Int32 XML_fourBoxHorizontal = 2745;
const sal_Int32 XML_verticalLeft = 2746;
const sal_Int32 XML_verticalRight = 2747;
const sal_Int32 XML_horizontalLeft = 2748;
const sal_Int32 XML_horizontalRight = 2749;
const sal_Int32 XML_fromLeft = 2750;
const sal_Int32 XML_fromTop = 2751;
const sal_Int32 XML_fromRight = 2752;
const sal_Int32 XML_fromBottom = 2753;
const sal_Int32 XML_crossfade = 2754;
const sal_Int32 XML_fadeToColor = 2755;
const sal_Int32 XML_fadeFromColor = 2756;
const sal_Int32 XML_fadeOverColor = 2757;
const sal_Int32 XML_threeBlade = 2758;
const sal_Int32 XML_eightBlade = 2759;
const sal_Int32 XML_oneBlade = 2760;
const sal_Int32 XML_across = 2761;
const sal_Int32 XML_combHorizontal = 2762;
const sal_Int32 XML_combVertical = 2763;
const sal_Int32 XML_rotateIn = 2764;
const sal_Int32 XML_rotateOut = 2765;
const sal_Int32 XML_fromTopLeft = 2766;
const sal_Int32 XML_fromTopRight = 2767;
const sal_Int32 XML_fromBottomLeft = 2768;
const sal_Int32 XML_fromBottomRight = 2769;
const sal_Int32 XML_subtype = 2770;
const sal_Int32 XML_out = 2771;
const sal_Int32 XML_forward = 2772;
const sal_Int32 XML_reverse = 2773;
const sal_Int32 XML_fadeColor = 2774;
const sal_Int32 XML_onbegin = 2775;
const sal_Int32 XML_onend = 2776;
const sal_Int32 XML_click = 2777;
const sal_Int32 XML_doubleclick = 2778;
const sal_Int32 XML_mouseover = 2779;
const sal_Int32 XML_mouseout = 2780;
const sal_Int32 XML_node_type = 2781;
const sal_Int32 XML_preset_id = 2782;
const sal_Int32 XML_preset_sub_type = 2783;
const sal_Int32 XML_preset_class = 2784;
const sal_Int32 XML_custom = 2785;
const sal_Int32 XML_entrance = 2786;
const sal_Int32 XML_exit = 2787;
const sal_Int32 XML_emphasis = 2788;
const sal_Int32 XML_motion_path = 2789;
const sal_Int32 XML_ole_action = 2790;
const sal_Int32 XML_media_call = 2791;
const sal_Int32 XML_on_click = 2792;
const sal_Int32 XML_with_previous = 2793;
const sal_Int32 XML_after_previous = 2794;
const sal_Int32 XML_main_sequence = 2795;
const sal_Int32 XML_timing_root = 2796;
const sal_Int32 XML_interactive_sequence = 2797;
const sal_Int32 XML_sub_item = 2798;
const sal_Int32 XML_iterate_type = 2799;
const sal_Int32 XML_iterate_interval = 2800;
const sal_Int32 XML_iterate = 2801;
const sal_Int32 XML_by_paragraph = 2802;
const sal_Int32 XML_by_word = 2803;
const sal_Int32 XML_by_letter = 2804;
const sal_Int32 XML_after_effect = 2805;
const sal_Int32 XML_master = 2806;
const sal_Int32 XML_group_id = 2807;
const sal_Int32 XML_targetElement = 2808;
const sal_Int32 XML_toggle_pause = 2809;
const sal_Int32 XML_master_element = 2810;
const sal_Int32 XML_stop_audio = 2811;
const sal_Int32 XML_audio_level = 2812;
const sal_Int32 XML_URN_OASIS_NAMES_TC_DUMMY = 2813;
const sal_Int32 XML_opendocument = 2814;
const sal_Int32 XML_1_0_DUMMY = 2815;
const sal_Int32 XML_is_list_header = 2816;
const sal_Int32 XML_N_SVG_COMPAT_DUMMY = 2817;
const sal_Int32 XML_N_FO_COMPAT_DUMMY = 2818;
const sal_Int32 XML_N_SMIL_COMPAT_DUMMY = 2819;
const sal_Int32 XML_N_SMIL_OLD_DUMMY = 2820;
const sal_Int32 XML_xforms_submission = 2821;
const sal_Int32 XML_xforms_list_source = 2822;
const sal_Int32 XML_URI_W3_PREFIX_DUMMY = 2823;
const sal_Int32 XML_URI_XFORMS_SUFFIX_DUMMY = 2824;
const sal_Int32 XML_horizontal_on_even = 2825;
const sal_Int32 XML_N_RPT_OASIS_DUMMY = 2826;
const sal_Int32 XML_N_RPT_DUMMY = 2827;
const sal_Int32 XML_group = 2828;
const sal_Int32 XML_groups = 2829;
const sal_Int32 XML_report_header = 2830;
const sal_Int32 XML_page_header = 2831;
const sal_Int32 XML_detail = 2832;
const sal_Int32 XML_page_footer = 2833;
const sal_Int32 XML_report_footer = 2834;
const sal_Int32 XML_start_new_column = 2835;
const sal_Int32 XML_reset_page_number = 2836;
const sal_Int32 XML_print_header_on_each_page = 2837;
const sal_Int32 XML_sort_expression = 2838;
const sal_Int32 XML_group_expression = 2839;
const sal_Int32 XML_group_header = 2840;
const sal_Int32 XML_group_footer = 2841;
const sal_Int32 XML_header_on_new_page = 2842;
const sal_Int32 XML_footer_on_new_page = 2843;
const sal_Int32 XML_page_print_option = 2844;
const sal_Int32 XML_pre_evaluated = 2845;
const sal_Int32 XML_command_type = 2846;
const sal_Int32 XML_master_fields = 2847;
const sal_Int32 XML_detail_fields = 2848;
const sal_Int32 XML_conditional_print_expression = 2849;
const sal_Int32 XML_report_component = 2850;
const sal_Int32 XML_print_repeated_values = 2851;
const sal_Int32 XML_repeat_section = 2852;
const sal_Int32 XML_force_new_column = 2853;
const sal_Int32 XML_group_on = 2854;
const sal_Int32 XML_force_new_page = 2855;
const sal_Int32 XML_group_interval = 2856;
const sal_Int32 XML_print_when_group_change = 2857;
const sal_Int32 XML_report_element = 2858;
const sal_Int32 XML_list_source = 2859;
const sal_Int32 XML_list_source_type = 2860;
const sal_Int32 XML_image_data = 2861;
const sal_Int32 XML_selected = 2862;
const sal_Int32 XML_current_state = 2863;
const sal_Int32 XML_is_tristate = 2864;
const sal_Int32 XML_all_pages = 2865;
const sal_Int32 XML_not_with_report_header = 2866;
const sal_Int32 XML_not_with_report_footer = 2867;
const sal_Int32 XML_not_with_report_header_nor_footer = 2868;
const sal_Int32 XML_before_section = 2869;
const sal_Int32 XML_after_section = 2870;
const sal_Int32 XML_before_after_section = 2871;
const sal_Int32 XML_prefix_characters = 2872;
const sal_Int32 XML_quartal = 2873;
const sal_Int32 XML_week = 2874;
const sal_Int32 XML_whole_group = 2875;
const sal_Int32 XML_with_first_detail = 2876;
const sal_Int32 XML_top_down = 2877;
const sal_Int32 XML_bottom_up = 2878;
const sal_Int32 XML_hour = 2879;
const sal_Int32 XML_minute = 2880;
const sal_Int32 XML_rpt = 2881;
const sal_Int32 XML_format_condition = 2882;
const sal_Int32 XML_expression1 = 2883;
const sal_Int32 XML_expression2 = 2884;
const sal_Int32 XML_equal = 2885;
const sal_Int32 XML_not_equal = 2886;
const sal_Int32 XML_less = 2887;
const sal_Int32 XML_greater = 2888;
const sal_Int32 XML_less_equal = 2889;
const sal_Int32 XML_greater_equal = 2890;
const sal_Int32 XML_between = 2891;
const sal_Int32 XML_not_between = 2892;
const sal_Int32 XML_table_template = 2893;
const sal_Int32 XML_first_row = 2894;
const sal_Int32 XML_last_row = 2895;
const sal_Int32 XML_first_column = 2896;
const sal_Int32 XML_last_column = 2897;
const sal_Int32 XML_even_rows = 2898;
const sal_Int32 XML_odd_rows = 2899;
const sal_Int32 XML_even_columns = 2900;
const sal_Int32 XML_odd_columns = 2901;
const sal_Int32 XML_first_row_even_column = 2902;
const sal_Int32 XML_last_row_even_column = 2903;
const sal_Int32 XML_first_row_end_column = 2904;
const sal_Int32 XML_first_row_start_column = 2905;
const sal_Int32 XML_last_row_end_column = 2906;
const sal_Int32 XML_last_row_start_column = 2907;
const sal_Int32 XML_horizontal_on_odd = 2908;
const sal_Int32 XML_restart_numbering = 2909;
const sal_Int32 XML_numbered_paragraph = 2910;
const sal_Int32 XML_master_detail_fields = 2911;
const sal_Int32 XML_master_detail_field = 2912;
const sal_Int32 XML_sub_document = 2913;
const sal_Int32 XML_fixed_content = 2914;
const sal_Int32 XML_initial_formula = 2915;
const sal_Int32 XML_deep_traversing = 2916;
const sal_Int32 XML_preserve_IRI = 2917;
const sal_Int32 XML_sort_by_x_values = 2918;
const sal_Int32 XML_page_continuation = 2919;
const sal_Int32 XML_right_angled_axes = 2920;
const sal_Int32 XML_soft_page_break = 2921;
const sal_Int32 XML_use_soft_page_breaks = 2922;
const sal_Int32 XML_percentage_data_style_name = 2923;
const sal_Int32 XML_value_and_percentage = 2924;
const sal_Int32 XML_group_bars_per_axis = 2925;
const sal_Int32 XML_include_hidden_cells = 2926;
const sal_Int32 XML_auto_position = 2927;
const sal_Int32 XML_auto_size = 2928;
const sal_Int32 XML_reverse_direction = 2929;
const sal_Int32 XML_label_separator = 2930;
const sal_Int32 XML_label_position = 2931;
const sal_Int32 XML_avoid_overlap = 2932;
const sal_Int32 XML_near_origin = 2933;
const sal_Int32 XML_dependency = 2934;
const sal_Int32 XML_nav_order = 2935;
const sal_Int32 XML_use_first_row_styles = 2936;
const sal_Int32 XML_use_last_row_styles = 2937;
const sal_Int32 XML_use_first_column_styles = 2938;
const sal_Int32 XML_use_last_column_styles = 2939;
const sal_Int32 XML_use_banding_rows_styles = 2940;
const sal_Int32 XML_use_banding_columns_styles = 2941;
const sal_Int32 XML_automatic_content = 2942;
const sal_Int32 XML_display_r_square = 2943;
const sal_Int32 XML_display_equation = 2944;
const sal_Int32 XML_table_representations = 2945;
const sal_Int32 XML_table_representation = 2946;
const sal_Int32 XML_schema_definition = 2947;
const sal_Int32 XML_connection_data = 2948;
const sal_Int32 XML_database_description = 2949;
const sal_Int32 XML_compound_database = 2950;
const sal_Int32 XML_file_based_database = 2951;
const sal_Int32 XML_server_database = 2952;
const sal_Int32 XML_media_type = 2953;
const sal_Int32 XML_hostname = 2954;
const sal_Int32 XML_port = 2955;
const sal_Int32 XML_local_socket = 2956;
const sal_Int32 XML_use_system_user = 2957;
const sal_Int32 XML_driver_settings = 2958;
const sal_Int32 XML_java_classpath = 2959;
const sal_Int32 XML_character_set = 2960;
const sal_Int32 XML_application_connection_settings = 2961;
const sal_Int32 XML_table_include_filter = 2962;
const sal_Int32 XML_default_row_style_name = 2963;
const sal_Int32 XML_angle_offset = 2964;
const sal_Int32 XML_number_no_superior = 2965;
const sal_Int32 XML_number_all_superior = 2966;
const sal_Int32 XML_list_level_position_and_space_mode = 2967;
const sal_Int32 XML_label_width_and_position = 2968;
const sal_Int32 XML_label_alignment = 2969;
const sal_Int32 XML_list_level_label_alignment = 2970;
const sal_Int32 XML_label_followed_by = 2971;
const sal_Int32 XML_listtab = 2972;
const sal_Int32 XML_space = 2973;
const sal_Int32 XML_nothing = 2974;
const sal_Int32 XML_list_tab_stop_position = 2975;
const sal_Int32 XML_standard_error = 2976;
const sal_Int32 XML_cell_range = 2977;
const sal_Int32 XML_error_lower_range = 2978;
const sal_Int32 XML_error_upper_range = 2979;
const sal_Int32 XML_continue_list = 2980;
const sal_Int32 XML_style_override = 2981;
const sal_Int32 XML_xforms_settings = 2982;
const sal_Int32 XML_meta_field = 2983;
const sal_Int32 XML_about = 2984;
const sal_Int32 XML_datatype = 2985;
const sal_Int32 XML_transformation = 2986;
const sal_Int32 XML_list_id = 2987;
const sal_Int32 XML_treat_empty_cells = 2988;
const sal_Int32 XML_leave_gap = 2989;
const sal_Int32 XML_use_zero = 2990;
const sal_Int32 XML_ignore = 2991;
const sal_Int32 XML_fieldmark = 2992;
const sal_Int32 XML_fieldmark_start = 2993;
const sal_Int32 XML_fieldmark_end = 2994;
const sal_Int32 XML_N_FIELD_DUMMY = 2995;
const sal_Int32 XML_NP_FIELD_DUMMY = 2996;
const sal_Int32 XML_image_scale = 2997;
const sal_Int32 XML_isotropic = 2998;
const sal_Int32 XML_anisotropic = 2999;
const sal_Int32 XML_axis_position = 3000;
const sal_Int32 XML_axis_label_position = 3001;
const sal_Int32 XML_near_axis = 3002;
const sal_Int32 XML_near_axis_other_side = 3003;
const sal_Int32 XML_outside_start = 3004;
const sal_Int32 XML_outside_end = 3005;
const sal_Int32 XML_tick_mark_position = 3006;
const sal_Int32 XML_at_labels = 3007;
const sal_Int32 XML_at_axis = 3008;
const sal_Int32 XML_at_labels_and_axis = 3009;
const sal_Int32 XML_filled_radar = 3010;
const sal_Int32 XML_surface = 3011;
const sal_Int32 XML_mathvariant = 3012;
const sal_Int32 XML_mathsize = 3013;
const sal_Int32 XML_mathweight = 3014;
const sal_Int32 XML_mathcolor = 3015;
const sal_Int32 XML_contains = 3016;
const sal_Int32 XML_does_not_contain = 3017;
const sal_Int32 XML_begins_with = 3018;
const sal_Int32 XML_does_not_begin_with = 3019;
const sal_Int32 XML_ends_with = 3020;
const sal_Int32 XML_does_not_end_with = 3021;
const sal_Int32 XML_chartooo = 3022;
const sal_Int32 XML_N_CHART_EXT_DUMMY = 3023;
const sal_Int32 XML_coordinate_region = 3024;
const sal_Int32 XML_diagonal_bl_tr_widths = 3025;
const sal_Int32 XML_diagonal_tl_br_widths = 3026;
const sal_Int32 XML_outside_minimum = 3027;
const sal_Int32 XML_outside_maximum = 3028;
const sal_Int32 XML_legend_expansion = 3029;
const sal_Int32 XML_legend_expansion_aspect_ratio = 3030;
const sal_Int32 XML_balanced = 3031;
const sal_Int32 XML_high = 3032;
const sal_Int32 XML_wide = 3033;
const sal_Int32 XML_axis_type = 3034;
const sal_Int32 XML_date_scale = 3035;
const sal_Int32 XML_base_time_unit = 3036;
const sal_Int32 XML_major_interval_value = 3037;
const sal_Int32 XML_minor_interval_value = 3038;
const sal_Int32 XML_major_interval_unit = 3039;
const sal_Int32 XML_minor_interval_unit = 3040;
const sal_Int32 XML_min_value = 3041;
const sal_Int32 XML_max_value = 3042;
const sal_Int32 XML_margin = 3043;
const sal_Int32 XML_propertry_mapping = 3044;
const sal_Int32 XML_provider = 3045;
const sal_Int32 XML_data_mappings = 3046;
const sal_Int32 XML_data_mapping = 3047;
const sal_Int32 XML_frequency = 3048;
const sal_Int32 XML_star = 3049;
const sal_Int32 XML_asterisk = 3050;
const sal_Int32 XML_horizontal_bar = 3051;
const sal_Int32 XML_vertical_bar = 3052;
const sal_Int32 XML_std_weight = 3053;
const sal_Int32 XML_rfc_language_tag = 3054;
const sal_Int32 XML_rfc_language_tag_asian = 3055;
const sal_Int32 XML_rfc_language_tag_complex = 3056;
const sal_Int32 XML_data_table_show_horz_border = 3057;
const sal_Int32 XML_data_table_show_vert_border = 3058;
const sal_Int32 XML_data_table_show_outline = 3059;
const sal_Int32 XML_display_units = 3060;
const sal_Int32 XML_display_units_built_in_unit = 3061;
const sal_Int32 XML_external_data = 3062;
const sal_Int32 XML_exponent_interval = 3063;
const sal_Int32 XML_forced_exponent_sign = 3064;
const sal_Int32 XML_min_decimal_places = 3065;
const sal_Int32 XML_max_denominator_value = 3066;
const sal_Int32 XML_max_numerator_digits = 3067;
const sal_Int32 XML_zeros_numerator_digits = 3068;
const sal_Int32 XML_zeros_denominator_digits = 3069;
const sal_Int32 XML_integer_fraction_delimiter = 3070;
const sal_Int32 XML_TOKEN_END_DUMMY = 3071;
const sal_Int32 XML_TOKEN_COUNT = 3072;

const sal_Int32 XML_TOKEN_INVALID = css::xml::sax::FastToken::DONTKNOW;

} // namespace xmloff

#endif
